﻿module("VOICE")

distances = {}

distances.patterns = {
	L"1",
	L"1,1",
	L"1,1b",
	L"1,1c",
	L"1,2",
	L"1,2b",
	L"1,2c",
	L"1,3",
	L"1,3b",
	L"1,3c",
	L"1,4",
	L"1,4b",
	L"1,4c",
	L"1,5",
	L"1,5b",
	L"1,5c",
	L"1,6",
	L"1,6b",
	L"1,6c",
	L"1,7",
	L"1,7b",
	L"1,7c",
	L"1,8",
	L"1,8b",
	L"1,8c",
	L"1,9",
	L"1,9b",
	L"1,9c",
	L"10",
	L"100",
	L"1000",
	L"1000_feet",
	L"100_and",
	L"100_and-2",
	L"100b",
	L"100b_meters",
	L"10b",
	L"11",
	L"11b",
	L"12",
	L"12b",
	L"13",
	L"13b",
	L"14",
	L"14b",
	L"15",
	L"15b",
	L"16",
	L"16b",
	L"17",
	L"17b",
	L"18",
	L"18b",
	L"19",
	L"19b",
	L"1b",
	L"1c",
	L"1d",
	L"2",
	L"2,1",
	L"2,2",
	L"2,3",
	L"2,4",
	L"2,5",
	L"2,6",
	L"2,7",
	L"2,8",
	L"2,9",
	L"20",
	L"200",
	L"200_and",
	L"200_and-b",
	L"200b",
	L"20_and-b",
	L"20b",
	L"21",
	L"22",
	L"23",
	L"24",
	L"25",
	L"26",
	L"27",
	L"28",
	L"29",
	L"2_and-b",
	L"2b",
	L"3",
	L"3,1",
	L"3,2",
	L"3,3",
	L"3,4",
	L"3,5",
	L"3,6",
	L"3,7",
	L"3,8",
	L"3,9",
	L"30",
	L"300",
	L"300_and",
	L"300_and-b",
	L"300b",
	L"300b_meters",
	L"30_and-b",
	L"30b",
	L"31",
	L"32",
	L"33",
	L"34",
	L"35",
	L"36",
	L"37",
	L"38",
	L"39",
	L"3_and-b",
	L"3_quarter_of_a_mile",
	L"3_quarter_of_a_mile-e",
	L"3b",
	L"4",
	L"4,1",
	L"4,2",
	L"4,3",
	L"4,4",
	L"4,5",
	L"4,6",
	L"4,7",
	L"4,8",
	L"4,9",
	L"40",
	L"400",
	L"400_and",
	L"400_and-b",
	L"400b",
	L"40_and-b",
	L"40b",
	L"41",
	L"42",
	L"43",
	L"44",
	L"45",
	L"46",
	L"47",
	L"48",
	L"49",
	L"4_and-b",
	L"4b",
	L"5",
	L"50",
	L"500",
	L"500_and",
	L"500_and-b",
	L"500b",
	L"50_and",
	L"50_and-b",
	L"50b",
	L"5_and",
	L"5_and-b",
	L"5b",
	L"6",
	L"60",
	L"600",
	L"600_and",
	L"600_and-b",
	L"600b",
	L"60_and",
	L"60_and-b",
	L"60b",
	L"6_and",
	L"6_and-b",
	L"6b",
	L"7",
	L"70",
	L"700",
	L"700_and",
	L"700_and-b",
	L"700b",
	L"70_and",
	L"70_and-b",
	L"70b",
	L"7_and",
	L"7_and-b",
	L"7b",
	L"8",
	L"80",
	L"800",
	L"800_and",
	L"800_and-b",
	L"800b",
	L"80_and",
	L"80_and-b",
	L"80b",
	L"8_and",
	L"8_and-b",
	L"8b",
	L"9",
	L"90",
	L"900",
	L"900_and",
	L"900_and-b",
	L"900b",
	L"90_and",
	L"90_and-b",
	L"90b",
	L"9_and",
	L"9_and-b",
	L"9b",
	L"After",
	L"After-1",
	L"After-2",
	L"After-3",
	L"After-4",
	L"After-5",
	L"Point_4",
	L"Point_9",
	L"after",
	L"after-1",
	L"after-2",
	L"after-3",
	L"after-4",
	L"after-5",
	L"and_01",
	L"and_01-b",
	L"and_02",
	L"and_02-b",
	L"and_03",
	L"and_03-b",
	L"and_04",
	L"and_04-b",
	L"and_05",
	L"and_05-b",
	L"and_06",
	L"and_06-b",
	L"and_07",
	L"and_07-b",
	L"and_08",
	L"and_08-b",
	L"and_09",
	L"and_09-b",
	L"and_1",
	L"and_1-b",
	L"and_10",
	L"and_10-b",
	L"and_2",
	L"and_2-b",
	L"and_20",
	L"and_20-b",
	L"and_3",
	L"and_3-b",
	L"and_30",
	L"and_30-b",
	L"and_4",
	L"and_4-b",
	L"and_40",
	L"and_40-b",
	L"and_5",
	L"and_5-b",
	L"and_50",
	L"and_50-b",
	L"and_6",
	L"and_6-b",
	L"and_60",
	L"and_60-b",
	L"and_7",
	L"and_7-b",
	L"and_70",
	L"and_70-b",
	L"and_8",
	L"and_8-b",
	L"and_80",
	L"and_80-b",
	L"and_9",
	L"and_9-b",
	L"and_90",
	L"and_90-b",
	L"feet",
	L"feet-2",
	L"half_a_mile-2",
	L"half_a_mile-2-e",
	L"half_a_mile-e",
	L"in_800_meters",
	L"kilometer-e",
	L"kilometers",
	L"kilometers-2",
	L"kilometers-2-e",
	L"kilometers-3",
	L"kilometers-e",
	L"meters",
	L"meters-2-e",
	L"meters-e",
	L"mile",
	L"mile-e",
	L"miles",
	L"miles-2",
	L"miles-3",
	L"miles-e",
	L"more_than",
	L"point_4_mile",
	L"point_6",
	L"point_6_mile",
	L"point_9_mile",
	L"quarter_of_a_mile-2",
	L"quarter_of_a_mile-2-e",
	L"quarter_of_a_mile-e",
	L"yards",
	L"yards-2",
}

distances.meters = {
	10, "\129\80\37\130\30\0\129\80\37\130\32\0\29\130\31\0",
	20, "\129\80\75\130\30\0\129\80\75\130\32\0\69\130\31\0",
	30, "\129\81\104\130\30\0\129\81\104\130\32\0\97\130\31\0",
	40, "\129\82\129\6\130\30\0\129\82\129\6\130\32\0\129\0\130\31\0",
	50, "\129\83\129\26\130\30\0\129\83\129\26\130\32\0\129\19\130\31\0",
	60, "\129\82\129\38\130\30\0\129\82\129\38\130\32\0\129\31\130\31\0",
	70, "\129\79\129\50\130\30\0\129\79\129\50\130\32\0\129\43\130\31\0",
	80, "\129\83\129\62\130\30\0\129\83\129\62\130\32\0\129\55\130\31\0",
	90, "\129\80\129\74\130\30\0\129\80\129\74\130\32\0\129\67\130\31\0",
	100, "\129\87\36\0\129\87\35\130\32\0\30\130\31\0",
	110, "\129\87\34\129\113\130\30\0\129\87\33\129\113\130\32\0\33\129\112\130\31\0",
	120, "\129\87\34\129\117\130\30\0\129\87\33\129\117\130\32\0\33\129\116\130\31\0",
	130, "\129\87\34\129\121\130\30\0\129\87\33\129\121\130\32\0\33\129\120\130\31\0",
	140, "\129\87\34\129\125\130\30\0\129\87\33\129\125\130\32\0\33\129\124\130\31\0",
	150, "\129\87\34\130\1\130\30\0\129\87\33\130\1\130\32\0\33\130\0\130\31\0",
	160, "\129\87\34\130\5\130\30\0\129\87\33\130\5\130\32\0\33\130\4\130\31\0",
	170, "\129\87\34\130\9\130\30\0\129\87\33\130\9\130\32\0\33\130\8\130\31\0",
	180, "\129\87\34\130\13\130\30\0\129\87\33\130\13\130\32\0\33\130\12\130\31\0",
	190, "\129\87\34\130\17\130\30\0\129\87\33\130\17\130\32\0\33\130\16\130\31\0",
	200, "\129\80\73\130\30\0\129\80\73\130\32\0\70\130\31\0",
	210, "\129\88\72\129\113\130\30\0\129\88\72\129\113\130\32\0\71\129\112\130\31\0",
	220, "\129\88\72\129\117\130\30\0\129\88\72\129\117\130\32\0\71\129\116\130\31\0",
	230, "\129\88\72\129\121\130\30\0\129\88\72\129\121\130\32\0\71\129\120\130\31\0",
	240, "\129\88\72\129\125\130\30\0\129\88\72\129\125\130\32\0\71\129\124\130\31\0",
	250, "\129\88\72\130\1\130\30\0\129\88\72\130\1\130\32\0\71\130\0\130\31\0",
	260, "\129\88\72\130\5\130\30\0\129\88\72\130\5\130\32\0\71\130\4\130\31\0",
	270, "\129\88\72\130\9\130\30\0\129\88\72\130\9\130\32\0\71\130\8\130\31\0",
	280, "\129\88\72\130\13\130\30\0\129\88\72\130\13\130\32\0\71\130\12\130\31\0",
	290, "\129\88\72\130\17\130\30\0\129\88\72\130\17\130\32\0\71\130\16\130\31\0",
	300, "\129\81\102\0\129\81\101\130\32\0\98\130\31\0",
	310, "\129\89\100\129\113\130\30\0\129\89\100\129\113\130\32\0\99\129\112\130\31\0",
	320, "\129\89\100\129\117\130\30\0\129\89\100\129\117\130\32\0\99\129\116\130\31\0",
	330, "\129\89\100\129\121\130\30\0\129\89\100\129\121\130\32\0\99\129\120\130\31\0",
	340, "\129\89\100\129\125\130\30\0\129\89\100\129\125\130\32\0\99\129\124\130\31\0",
	350, "\129\89\100\130\1\130\30\0\129\89\100\130\1\130\32\0\99\130\0\130\31\0",
	360, "\129\89\100\130\5\130\30\0\129\89\100\130\5\130\32\0\99\130\4\130\31\0",
	370, "\129\89\100\130\9\130\30\0\129\89\100\130\9\130\32\0\99\130\8\130\31\0",
	380, "\129\89\100\130\13\130\30\0\129\89\100\130\13\130\32\0\99\130\12\130\31\0",
	390, "\129\89\100\130\17\130\30\0\129\89\100\130\17\130\32\0\99\130\16\130\31\0",
	400, "\129\82\129\4\130\30\0\129\82\129\4\130\32\0\129\1\130\31\0",
	410, "\129\90\129\3\129\113\130\30\0\129\90\129\3\129\113\130\32\0\129\2\129\112\130\31\0",
	420, "\129\90\129\3\129\117\130\30\0\129\90\129\3\129\117\130\32\0\129\2\129\116\130\31\0",
	430, "\129\90\129\3\129\121\130\30\0\129\90\129\3\129\121\130\32\0\129\2\129\120\130\31\0",
	440, "\129\90\129\3\129\125\130\30\0\129\90\129\3\129\125\130\32\0\129\2\129\124\130\31\0",
	450, "\129\90\129\3\130\1\130\30\0\129\90\129\3\130\1\130\32\0\129\2\130\0\130\31\0",
	460, "\129\90\129\3\130\5\130\30\0\129\90\129\3\130\5\130\32\0\129\2\130\4\130\31\0",
	470, "\129\90\129\3\130\9\130\30\0\129\90\129\3\130\9\130\32\0\129\2\130\8\130\31\0",
	480, "\129\90\129\3\130\13\130\30\0\129\90\129\3\130\13\130\32\0\129\2\130\12\130\31\0",
	490, "\129\90\129\3\130\17\130\30\0\129\90\129\3\130\17\130\32\0\129\2\130\16\130\31\0",
	500, "\129\83\129\23\130\30\0\129\83\129\23\130\32\0\129\20\130\31\0",
	510, "\129\91\129\22\129\113\130\30\0\129\91\129\22\129\113\130\32\0\129\21\129\112\130\31\0",
	520, "\129\91\129\22\129\117\130\30\0\129\91\129\22\129\117\130\32\0\129\21\129\116\130\31\0",
	530, "\129\91\129\22\129\121\130\30\0\129\91\129\22\129\121\130\32\0\129\21\129\120\130\31\0",
	540, "\129\91\129\22\129\125\130\30\0\129\91\129\22\129\125\130\32\0\129\21\129\124\130\31\0",
	550, "\129\91\129\22\130\1\130\30\0\129\91\129\22\130\1\130\32\0\129\21\130\0\130\31\0",
	560, "\129\91\129\22\130\5\130\30\0\129\91\129\22\130\5\130\32\0\129\21\130\4\130\31\0",
	570, "\129\91\129\22\130\9\130\30\0\129\91\129\22\130\9\130\32\0\129\21\130\8\130\31\0",
	580, "\129\91\129\22\130\13\130\30\0\129\91\129\22\130\13\130\32\0\129\21\130\12\130\31\0",
	590, "\129\91\129\22\130\17\130\30\0\129\91\129\22\130\17\130\32\0\129\21\130\16\130\31\0",
	600, "\129\82\129\35\130\30\0\129\82\129\35\130\32\0\129\32\130\31\0",
	610, "\129\90\129\34\129\113\130\30\0\129\90\129\34\129\113\130\32\0\129\33\129\112\130\31\0",
	620, "\129\90\129\34\129\117\130\30\0\129\90\129\34\129\117\130\32\0\129\33\129\116\130\31\0",
	630, "\129\90\129\34\129\121\130\30\0\129\90\129\34\129\121\130\32\0\129\33\129\120\130\31\0",
	640, "\129\90\129\34\129\125\130\30\0\129\90\129\34\129\125\130\32\0\129\33\129\124\130\31\0",
	650, "\129\90\129\34\130\1\130\30\0\129\90\129\34\130\1\130\32\0\129\33\130\0\130\31\0",
	660, "\129\90\129\34\130\5\130\30\0\129\90\129\34\130\5\130\32\0\129\33\130\4\130\31\0",
	670, "\129\90\129\34\130\9\130\30\0\129\90\129\34\130\9\130\32\0\129\33\130\8\130\31\0",
	680, "\129\90\129\34\130\13\130\30\0\129\90\129\34\130\13\130\32\0\129\33\130\12\130\31\0",
	690, "\129\90\129\34\130\17\130\30\0\129\90\129\34\130\17\130\32\0\129\33\130\16\130\31\0",
	700, "\129\79\129\47\130\30\0\129\79\129\47\130\32\0\129\44\130\31\0",
	710, "\129\87\129\46\129\113\130\30\0\129\87\129\46\129\113\130\32\0\129\45\129\112\130\31\0",
	720, "\129\87\129\46\129\117\130\30\0\129\87\129\46\129\117\130\32\0\129\45\129\116\130\31\0",
	730, "\129\87\129\46\129\121\130\30\0\129\87\129\46\129\121\130\32\0\129\45\129\120\130\31\0",
	740, "\129\87\129\46\129\125\130\30\0\129\87\129\46\129\125\130\32\0\129\45\129\124\130\31\0",
	750, "\129\87\129\46\130\1\130\30\0\129\87\129\46\130\1\130\32\0\129\45\130\0\130\31\0",
	760, "\129\87\129\46\130\5\130\30\0\129\87\129\46\130\5\130\32\0\129\45\130\4\130\31\0",
	770, "\129\87\129\46\130\9\130\30\0\129\87\129\46\130\9\130\32\0\129\45\130\8\130\31\0",
	780, "\129\87\129\46\130\13\130\30\0\129\87\129\46\130\13\130\32\0\129\45\130\12\130\31\0",
	790, "\129\87\129\46\130\17\130\30\0\129\87\129\46\130\17\130\32\0\129\45\130\16\130\31\0",
	800, "\130\23\0\129\83\129\59\130\32\0\129\56\130\31\0",
	810, "\129\91\129\58\129\113\130\30\0\129\91\129\58\129\113\130\32\0\129\57\129\112\130\31\0",
	820, "\129\91\129\58\129\117\130\30\0\129\91\129\58\129\117\130\32\0\129\57\129\116\130\31\0",
	830, "\129\91\129\58\129\121\130\30\0\129\91\129\58\129\121\130\32\0\129\57\129\120\130\31\0",
	840, "\129\91\129\58\129\125\130\30\0\129\91\129\58\129\125\130\32\0\129\57\129\124\130\31\0",
	850, "\129\91\129\58\130\1\130\30\0\129\91\129\58\130\1\130\32\0\129\57\130\0\130\31\0",
	860, "\129\91\129\58\130\5\130\30\0\129\91\129\58\130\5\130\32\0\129\57\130\4\130\31\0",
	870, "\129\91\129\58\130\9\130\30\0\129\91\129\58\130\9\130\32\0\129\57\130\8\130\31\0",
	880, "\129\91\129\58\130\13\130\30\0\129\91\129\58\130\13\130\32\0\129\57\130\12\130\31\0",
	890, "\129\91\129\58\130\17\130\30\0\129\91\129\58\130\17\130\32\0\129\57\130\16\130\31\0",
	900, "\129\80\129\71\130\30\0\129\80\129\71\130\32\0\129\68\130\31\0",
	910, "\129\88\129\70\129\113\130\30\0\129\88\129\70\129\113\130\32\0\129\69\129\112\130\31\0",
	920, "\129\88\129\70\129\117\130\30\0\129\88\129\70\129\117\130\32\0\129\69\129\116\130\31\0",
	930, "\129\88\129\70\129\121\130\30\0\129\88\129\70\129\121\130\32\0\129\69\129\120\130\31\0",
	940, "\129\88\129\70\129\125\130\30\0\129\88\129\70\129\125\130\32\0\129\69\129\124\130\31\0",
	950, "\129\88\129\70\130\1\130\30\0\129\88\129\70\130\1\130\32\0\129\69\130\0\130\31\0",
	960, "\129\88\129\70\130\5\130\30\0\129\88\129\70\130\5\130\32\0\129\69\130\4\130\31\0",
	970, "\129\88\129\70\130\9\130\30\0\129\88\129\70\130\9\130\32\0\129\69\130\8\130\31\0",
	980, "\129\88\129\70\130\13\130\30\0\129\88\129\70\130\13\130\32\0\129\69\130\12\130\31\0",
	990, "\129\88\129\70\130\17\130\30\0\129\88\129\70\130\17\130\32\0\129\69\130\16\130\31\0",
	1000, "\129\86\56\130\25\0\129\86\56\130\29\0\1\130\24\0",
	1100, "\129\86\3\130\25\0\129\86\3\130\29\0\2\130\29\0",
	1200, "\129\86\6\130\25\0\129\86\6\130\29\0\5\130\29\0",
	1300, "\129\86\9\130\25\0\129\86\9\130\29\0\8\130\29\0",
	1400, "\129\86\12\130\25\0\129\86\12\130\29\0\11\130\29\0",
	1500, "\129\86\15\130\25\0\129\86\15\130\29\0\14\130\29\0",
	1600, "\129\86\18\130\25\0\129\86\18\130\29\0\17\130\29\0",
	1700, "\129\86\21\130\25\0\129\86\21\130\29\0\20\130\29\0",
	1800, "\129\86\24\130\25\0\129\86\24\130\29\0\23\130\29\0",
	1900, "\129\86\27\130\25\0\129\86\27\130\29\0\26\130\29\0",
	2000, "\129\88\86\130\26\0\129\88\86\130\27\0\59\130\28\0",
	2100, "\129\88\85\129\111\130\25\0\129\88\85\129\111\130\29\0\60\130\29\0",
	2200, "\129\88\85\129\115\130\25\0\129\88\85\129\115\130\29\0\61\130\29\0",
	2300, "\129\88\85\129\119\130\25\0\129\88\85\129\119\130\29\0\62\130\29\0",
	2400, "\129\88\85\129\123\130\25\0\129\88\85\129\123\130\29\0\63\130\29\0",
	2500, "\129\88\85\129\127\130\25\0\129\88\85\129\127\130\29\0\64\130\29\0",
	2600, "\129\88\85\130\3\130\25\0\129\88\85\130\3\130\29\0\65\130\29\0",
	2700, "\129\88\85\130\7\130\25\0\129\88\85\130\7\130\29\0\66\130\29\0",
	2800, "\129\88\85\130\11\130\25\0\129\88\85\130\11\130\29\0\67\130\29\0",
	2900, "\129\88\85\130\15\130\25\0\129\88\85\130\15\130\29\0\68\130\29\0",
	3000, "\129\89\117\130\26\0\129\89\117\130\27\0\87\130\28\0",
	3100, "\129\89\114\129\111\130\25\0\129\89\114\129\111\130\29\0\88\130\29\0",
	3200, "\129\89\114\129\115\130\25\0\129\89\114\129\115\130\29\0\89\130\29\0",
	3300, "\129\89\114\129\119\130\25\0\129\89\114\129\119\130\29\0\90\130\29\0",
	3400, "\129\89\114\129\123\130\25\0\129\89\114\129\123\130\29\0\91\130\29\0",
	3500, "\129\89\114\129\127\130\25\0\129\89\114\129\127\130\29\0\92\130\29\0",
	3600, "\129\89\114\130\3\130\25\0\129\89\114\130\3\130\29\0\93\130\29\0",
	3700, "\129\89\114\130\7\130\25\0\129\89\114\130\7\130\29\0\94\130\29\0",
	3800, "\129\89\114\130\11\130\25\0\129\89\114\130\11\130\29\0\95\130\29\0",
	3900, "\129\89\114\130\15\130\25\0\129\89\114\130\15\130\29\0\96\130\29\0",
	4000, "\129\90\129\17\130\26\0\129\90\129\17\130\27\0\118\130\28\0",
	4100, "\129\90\129\16\129\111\130\25\0\129\90\129\16\129\111\130\29\0\119\130\29\0",
	4200, "\129\90\129\16\129\115\130\25\0\129\90\129\16\129\115\130\29\0\120\130\29\0",
	4300, "\129\90\129\16\129\119\130\25\0\129\90\129\16\129\119\130\29\0\121\130\29\0",
	4400, "\129\90\129\16\129\123\130\25\0\129\90\129\16\129\123\130\29\0\122\130\29\0",
	4500, "\129\90\129\16\129\127\130\25\0\129\90\129\16\129\127\130\29\0\123\130\29\0",
	4600, "\129\90\129\16\130\3\130\25\0\129\90\129\16\130\3\130\29\0\124\130\29\0",
	4700, "\129\90\129\16\130\7\130\25\0\129\90\129\16\130\7\130\29\0\125\130\29\0",
	4800, "\129\90\129\16\130\11\130\25\0\129\90\129\16\130\11\130\29\0\126\130\29\0",
	4900, "\129\90\129\16\130\15\130\25\0\129\90\129\16\130\15\130\29\0\127\130\29\0",
	5000, "\129\91\129\29\130\26\0\129\91\129\29\130\27\0\129\18\130\29\0",
	5100, "\129\91\129\28\129\111\130\25\0\129\91\129\28\129\111\130\29\0\129\27\129\110\130\29\0",
	5200, "\129\91\129\28\129\115\130\25\0\129\91\129\28\129\115\130\29\0\129\27\129\114\130\29\0",
	5300, "\129\91\129\28\129\119\130\25\0\129\91\129\28\129\119\130\29\0\129\27\129\118\130\29\0",
	5400, "\129\91\129\28\129\123\130\25\0\129\91\129\28\129\123\130\29\0\129\27\129\122\130\29\0",
	5500, "\129\91\129\28\129\127\130\25\0\129\91\129\28\129\127\130\29\0\129\27\129\126\130\29\0",
	5600, "\129\91\129\28\130\3\130\25\0\129\91\129\28\130\3\130\29\0\129\27\130\2\130\29\0",
	5700, "\129\91\129\28\130\7\130\25\0\129\91\129\28\130\7\130\29\0\129\27\130\6\130\29\0",
	5800, "\129\91\129\28\130\11\130\25\0\129\91\129\28\130\11\130\29\0\129\27\130\10\130\29\0",
	5900, "\129\91\129\28\130\15\130\25\0\129\91\129\28\130\15\130\29\0\129\27\130\14\130\29\0",
	6000, "\129\90\129\41\130\26\0\129\90\129\41\130\27\0\129\30\130\29\0",
	6100, "\129\90\129\40\129\111\130\25\0\129\90\129\40\129\111\130\29\0\129\39\129\110\130\29\0",
	6200, "\129\90\129\40\129\115\130\25\0\129\90\129\40\129\115\130\29\0\129\39\129\114\130\29\0",
	6300, "\129\90\129\40\129\119\130\25\0\129\90\129\40\129\119\130\29\0\129\39\129\118\130\29\0",
	6400, "\129\90\129\40\129\123\130\25\0\129\90\129\40\129\123\130\29\0\129\39\129\122\130\29\0",
	6500, "\129\90\129\40\129\127\130\25\0\129\90\129\40\129\127\130\29\0\129\39\129\126\130\29\0",
	6600, "\129\90\129\40\130\3\130\25\0\129\90\129\40\130\3\130\29\0\129\39\130\2\130\29\0",
	6700, "\129\90\129\40\130\7\130\25\0\129\90\129\40\130\7\130\29\0\129\39\130\6\130\29\0",
	6800, "\129\90\129\40\130\11\130\25\0\129\90\129\40\130\11\130\29\0\129\39\130\10\130\29\0",
	6900, "\129\90\129\40\130\15\130\25\0\129\90\129\40\130\15\130\29\0\129\39\130\14\130\29\0",
	7000, "\129\87\129\53\130\26\0\129\87\129\53\130\27\0\129\42\130\29\0",
	7100, "\129\87\129\52\129\111\130\25\0\129\87\129\52\129\111\130\29\0\129\51\129\110\130\29\0",
	7200, "\129\87\129\52\129\115\130\25\0\129\87\129\52\129\115\130\29\0\129\51\129\114\130\29\0",
	7300, "\129\87\129\52\129\119\130\25\0\129\87\129\52\129\119\130\29\0\129\51\129\118\130\29\0",
	7400, "\129\87\129\52\129\123\130\25\0\129\87\129\52\129\123\130\29\0\129\51\129\122\130\29\0",
	7500, "\129\87\129\52\129\127\130\25\0\129\87\129\52\129\127\130\29\0\129\51\129\126\130\29\0",
	7600, "\129\87\129\52\130\3\130\25\0\129\87\129\52\130\3\130\29\0\129\51\130\2\130\29\0",
	7700, "\129\87\129\52\130\7\130\25\0\129\87\129\52\130\7\130\29\0\129\51\130\6\130\29\0",
	7800, "\129\87\129\52\130\11\130\25\0\129\87\129\52\130\11\130\29\0\129\51\130\10\130\29\0",
	7900, "\129\87\129\52\130\15\130\25\0\129\87\129\52\130\15\130\29\0\129\51\130\14\130\29\0",
	8000, "\129\91\129\65\130\26\0\129\91\129\65\130\27\0\129\54\130\29\0",
	8100, "\129\91\129\64\129\111\130\25\0\129\91\129\64\129\111\130\29\0\129\63\129\110\130\29\0",
	8200, "\129\91\129\64\129\115\130\25\0\129\91\129\64\129\115\130\29\0\129\63\129\114\130\29\0",
	8300, "\129\91\129\64\129\119\130\25\0\129\91\129\64\129\119\130\29\0\129\63\129\118\130\29\0",
	8400, "\129\91\129\64\129\123\130\25\0\129\91\129\64\129\123\130\29\0\129\63\129\122\130\29\0",
	8500, "\129\91\129\64\129\127\130\25\0\129\91\129\64\129\127\130\29\0\129\63\129\126\130\29\0",
	8600, "\129\91\129\64\130\3\130\25\0\129\91\129\64\130\3\130\29\0\129\63\130\2\130\29\0",
	8700, "\129\91\129\64\130\7\130\25\0\129\91\129\64\130\7\130\29\0\129\63\130\6\130\29\0",
	8800, "\129\91\129\64\130\11\130\25\0\129\91\129\64\130\11\130\29\0\129\63\130\10\130\29\0",
	8900, "\129\91\129\64\130\15\130\25\0\129\91\129\64\130\15\130\29\0\129\63\130\14\130\29\0",
	9000, "\129\88\129\77\130\26\0\129\88\129\77\130\27\0\129\66\130\29\0",
	9100, "\129\88\129\76\129\111\130\25\0\129\88\129\76\129\111\130\29\0\129\75\129\110\130\29\0",
	9200, "\129\88\129\76\129\115\130\25\0\129\88\129\76\129\115\130\29\0\129\75\129\114\130\29\0",
	9300, "\129\88\129\76\129\119\130\25\0\129\88\129\76\129\119\130\29\0\129\75\129\118\130\29\0",
	9400, "\129\88\129\76\129\123\130\25\0\129\88\129\76\129\123\130\29\0\129\75\129\122\130\29\0",
	9500, "\129\88\129\76\129\127\130\25\0\129\88\129\76\129\127\130\29\0\129\75\129\126\130\29\0",
	9600, "\129\88\129\76\130\3\130\25\0\129\88\129\76\130\3\130\29\0\129\75\130\2\130\29\0",
	9700, "\129\88\129\76\130\7\130\25\0\129\88\129\76\130\7\130\29\0\129\75\130\6\130\29\0",
	9800, "\129\88\129\76\130\11\130\25\0\129\88\129\76\130\11\130\29\0\129\75\130\10\130\29\0",
	9900, "\129\88\129\76\130\15\130\25\0\129\88\129\76\130\15\130\29\0\129\75\130\14\130\29\0",
	10000, "\129\88\37\130\26\0\129\88\37\130\27\0\29\130\29\0",
	11000, "\129\86\39\130\26\0\129\86\39\130\27\0\38\130\29\0",
	12000, "\129\88\41\130\26\0\129\88\41\130\27\0\40\130\29\0",
	13000, "\129\89\43\130\26\0\129\89\43\130\27\0\42\130\29\0",
	14000, "\129\90\45\130\26\0\129\90\45\130\27\0\44\130\29\0",
	15000, "\129\91\47\130\26\0\129\91\47\130\27\0\46\130\29\0",
	16000, "\129\90\49\130\26\0\129\90\49\130\27\0\48\130\29\0",
	17000, "\129\87\51\130\26\0\129\87\51\130\27\0\50\130\29\0",
	18000, "\129\91\53\130\26\0\129\91\53\130\27\0\52\130\29\0",
	19000, "\129\88\55\130\26\0\129\88\55\130\27\0\54\130\29\0",
	20000, "\129\88\75\130\26\0\129\88\75\130\27\0\69\130\29\0",
	21000, "\129\88\74\129\93\130\25\0\129\88\74\129\93\130\29\0\76\130\29\0",
	22000, "\129\88\74\129\95\130\26\0\129\88\74\129\95\130\27\0\77\130\29\0",
	23000, "\129\88\74\129\97\130\26\0\129\88\74\129\97\130\27\0\78\130\29\0",
	24000, "\129\88\74\129\99\130\26\0\129\88\74\129\99\130\27\0\79\130\29\0",
	25000, "\129\88\74\129\101\130\26\0\129\88\74\129\101\130\27\0\80\130\29\0",
	26000, "\129\88\74\129\103\130\26\0\129\88\74\129\103\130\27\0\81\130\29\0",
	27000, "\129\88\74\129\105\130\26\0\129\88\74\129\105\130\27\0\82\130\29\0",
	28000, "\129\88\74\129\107\130\26\0\129\88\74\129\107\130\27\0\83\130\29\0",
	29000, "\129\88\74\129\109\130\26\0\129\88\74\129\109\130\27\0\84\130\29\0",
	30000, "\129\89\104\130\26\0\129\89\104\130\27\0\97\130\29\0",
	31000, "\129\89\103\129\93\130\25\0\129\89\103\129\93\130\29\0\105\130\29\0",
	32000, "\129\89\103\129\95\130\26\0\129\89\103\129\95\130\27\0\106\130\29\0",
	33000, "\129\89\103\129\97\130\26\0\129\89\103\129\97\130\27\0\107\130\29\0",
	34000, "\129\89\103\129\99\130\26\0\129\89\103\129\99\130\27\0\108\130\29\0",
	35000, "\129\89\103\129\101\130\26\0\129\89\103\129\101\130\27\0\109\130\29\0",
	36000, "\129\89\103\129\103\130\26\0\129\89\103\129\103\130\27\0\110\130\29\0",
	37000, "\129\89\103\129\105\130\26\0\129\89\103\129\105\130\27\0\111\130\29\0",
	38000, "\129\89\103\129\107\130\26\0\129\89\103\129\107\130\27\0\112\130\29\0",
	39000, "\129\89\103\129\109\130\26\0\129\89\103\129\109\130\27\0\113\130\29\0",
	40000, "\129\90\129\6\130\26\0\129\90\129\6\130\27\0\129\0\130\29\0",
	41000, "\129\90\129\5\129\93\130\25\0\129\90\129\5\129\93\130\29\0\129\7\130\29\0",
	42000, "\129\90\129\5\129\95\130\26\0\129\90\129\5\129\95\130\27\0\129\8\130\29\0",
	43000, "\129\90\129\5\129\97\130\26\0\129\90\129\5\129\97\130\27\0\129\9\130\29\0",
	44000, "\129\90\129\5\129\99\130\26\0\129\90\129\5\129\99\130\27\0\129\10\130\29\0",
	45000, "\129\90\129\5\129\101\130\26\0\129\90\129\5\129\101\130\27\0\129\11\130\29\0",
	46000, "\129\90\129\5\129\103\130\26\0\129\90\129\5\129\103\130\27\0\129\12\130\29\0",
	47000, "\129\90\129\5\129\105\130\26\0\129\90\129\5\129\105\130\27\0\129\13\130\29\0",
	48000, "\129\90\129\5\129\107\130\26\0\129\90\129\5\129\107\130\27\0\129\14\130\29\0",
	49000, "\129\90\129\5\129\109\130\26\0\129\90\129\5\129\109\130\27\0\129\15\130\29\0",
	50000, "\129\91\129\26\130\26\0\129\91\129\26\130\27\0\129\19\130\29\0",
	51000, "\129\91\129\25\129\93\130\25\0\129\91\129\25\129\93\130\29\0\129\24\129\92\130\29\0",
	52000, "\129\91\129\25\129\95\130\26\0\129\91\129\25\129\95\130\27\0\129\24\129\94\130\29\0",
	53000, "\129\91\129\25\129\97\130\26\0\129\91\129\25\129\97\130\27\0\129\24\129\96\130\29\0",
	54000, "\129\91\129\25\129\99\130\26\0\129\91\129\25\129\99\130\27\0\129\24\129\98\130\29\0",
	55000, "\129\91\129\25\129\101\130\26\0\129\91\129\25\129\101\130\27\0\129\24\129\100\130\29\0",
	56000, "\129\91\129\25\129\103\130\26\0\129\91\129\25\129\103\130\27\0\129\24\129\102\130\29\0",
	57000, "\129\91\129\25\129\105\130\26\0\129\91\129\25\129\105\130\27\0\129\24\129\104\130\29\0",
	58000, "\129\91\129\25\129\107\130\26\0\129\91\129\25\129\107\130\27\0\129\24\129\106\130\29\0",
	59000, "\129\91\129\25\129\109\130\26\0\129\91\129\25\129\109\130\27\0\129\24\129\108\130\29\0",
	60000, "\129\90\129\38\130\26\0\129\90\129\38\130\27\0\129\31\130\29\0",
	61000, "\129\90\129\37\129\93\130\25\0\129\90\129\37\129\93\130\29\0\129\36\129\92\130\29\0",
	62000, "\129\90\129\37\129\95\130\26\0\129\90\129\37\129\95\130\27\0\129\36\129\94\130\29\0",
	63000, "\129\90\129\37\129\97\130\26\0\129\90\129\37\129\97\130\27\0\129\36\129\96\130\29\0",
	64000, "\129\90\129\37\129\99\130\26\0\129\90\129\37\129\99\130\27\0\129\36\129\98\130\29\0",
	65000, "\129\90\129\37\129\101\130\26\0\129\90\129\37\129\101\130\27\0\129\36\129\100\130\29\0",
	66000, "\129\90\129\37\129\103\130\26\0\129\90\129\37\129\103\130\27\0\129\36\129\102\130\29\0",
	67000, "\129\90\129\37\129\105\130\26\0\129\90\129\37\129\105\130\27\0\129\36\129\104\130\29\0",
	68000, "\129\90\129\37\129\107\130\26\0\129\90\129\37\129\107\130\27\0\129\36\129\106\130\29\0",
	69000, "\129\90\129\37\129\109\130\26\0\129\90\129\37\129\109\130\27\0\129\36\129\108\130\29\0",
	70000, "\129\87\129\50\130\26\0\129\87\129\50\130\27\0\129\43\130\29\0",
	71000, "\129\87\129\49\129\93\130\25\0\129\87\129\49\129\93\130\29\0\129\48\129\92\130\29\0",
	72000, "\129\87\129\49\129\95\130\26\0\129\87\129\49\129\95\130\27\0\129\48\129\94\130\29\0",
	73000, "\129\87\129\49\129\97\130\26\0\129\87\129\49\129\97\130\27\0\129\48\129\96\130\29\0",
	74000, "\129\87\129\49\129\99\130\26\0\129\87\129\49\129\99\130\27\0\129\48\129\98\130\29\0",
	75000, "\129\87\129\49\129\101\130\26\0\129\87\129\49\129\101\130\27\0\129\48\129\100\130\29\0",
	76000, "\129\87\129\49\129\103\130\26\0\129\87\129\49\129\103\130\27\0\129\48\129\102\130\29\0",
	77000, "\129\87\129\49\129\105\130\26\0\129\87\129\49\129\105\130\27\0\129\48\129\104\130\29\0",
	78000, "\129\87\129\49\129\107\130\26\0\129\87\129\49\129\107\130\27\0\129\48\129\106\130\29\0",
	79000, "\129\87\129\49\129\109\130\26\0\129\87\129\49\129\109\130\27\0\129\48\129\108\130\29\0",
	80000, "\129\91\129\62\130\26\0\129\91\129\62\130\27\0\129\55\130\29\0",
	81000, "\129\91\129\61\129\93\130\25\0\129\91\129\61\129\93\130\29\0\129\60\129\92\130\29\0",
	82000, "\129\91\129\61\129\95\130\26\0\129\91\129\61\129\95\130\27\0\129\60\129\94\130\29\0",
	83000, "\129\91\129\61\129\97\130\26\0\129\91\129\61\129\97\130\27\0\129\60\129\96\130\29\0",
	84000, "\129\91\129\61\129\99\130\26\0\129\91\129\61\129\99\130\27\0\129\60\129\98\130\29\0",
	85000, "\129\91\129\61\129\101\130\26\0\129\91\129\61\129\101\130\27\0\129\60\129\100\130\29\0",
	86000, "\129\91\129\61\129\103\130\26\0\129\91\129\61\129\103\130\27\0\129\60\129\102\130\29\0",
	87000, "\129\91\129\61\129\105\130\26\0\129\91\129\61\129\105\130\27\0\129\60\129\104\130\29\0",
	88000, "\129\91\129\61\129\107\130\26\0\129\91\129\61\129\107\130\27\0\129\60\129\106\130\29\0",
	89000, "\129\91\129\61\129\109\130\26\0\129\91\129\61\129\109\130\27\0\129\60\129\108\130\29\0",
	90000, "\129\88\129\74\130\26\0\129\88\129\74\130\27\0\129\67\130\29\0",
	91000, "\129\88\129\73\129\93\130\25\0\129\88\129\73\129\93\130\29\0\129\72\129\92\130\29\0",
	92000, "\129\88\129\73\129\95\130\26\0\129\88\129\73\129\95\130\27\0\129\72\129\94\130\29\0",
	93000, "\129\88\129\73\129\97\130\26\0\129\88\129\73\129\97\130\27\0\129\72\129\96\130\29\0",
	94000, "\129\88\129\73\129\99\130\26\0\129\88\129\73\129\99\130\27\0\129\72\129\98\130\29\0",
	95000, "\129\88\129\73\129\101\130\26\0\129\88\129\73\129\101\130\27\0\129\72\129\100\130\29\0",
	96000, "\129\88\129\73\129\103\130\26\0\129\88\129\73\129\103\130\27\0\129\72\129\102\130\29\0",
	97000, "\129\88\129\73\129\105\130\26\0\129\88\129\73\129\105\130\27\0\129\72\129\104\130\29\0",
	98000, "\129\88\129\73\129\107\130\26\0\129\88\129\73\129\107\130\27\0\129\72\129\106\130\29\0",
	99000, "\129\88\129\73\129\109\130\26\0\129\88\129\73\129\109\130\27\0\129\72\129\108\130\29\0",
	100000, "\129\87\35\130\26\0\129\87\35\130\27\0\35\130\29\0",
	110000, "\129\87\34\129\113\130\26\0\129\87\33\129\113\130\27\0\33\129\112\130\29\0",
	120000, "\129\87\34\129\117\130\26\0\129\87\33\129\117\130\27\0\33\129\116\130\29\0",
	130000, "\129\87\34\129\121\130\26\0\129\87\33\129\121\130\27\0\33\129\120\130\29\0",
	140000, "\129\87\34\129\125\130\26\0\129\87\33\129\125\130\27\0\33\129\124\130\29\0",
	150000, "\129\87\34\130\1\130\26\0\129\87\33\130\1\130\27\0\33\130\0\130\29\0",
	160000, "\129\87\34\130\5\130\26\0\129\87\33\130\5\130\27\0\33\130\4\130\29\0",
	170000, "\129\87\34\130\9\130\26\0\129\87\33\130\9\130\27\0\33\130\8\130\29\0",
	180000, "\129\87\34\130\13\130\26\0\129\87\33\130\13\130\27\0\33\130\12\130\29\0",
	190000, "\129\87\34\130\17\130\26\0\129\87\33\130\17\130\27\0\33\130\16\130\29\0",
	200000, "\129\80\73\130\26\0\129\80\73\130\27\0\70\130\29\0",
	210000, "\129\88\72\129\113\130\26\0\129\88\72\129\113\130\27\0\71\129\112\130\29\0",
	220000, "\129\88\72\129\117\130\26\0\129\88\72\129\117\130\27\0\71\129\116\130\29\0",
	230000, "\129\88\72\129\121\130\26\0\129\88\72\129\121\130\27\0\71\129\120\130\29\0",
	240000, "\129\88\72\129\125\130\26\0\129\88\72\129\125\130\27\0\71\129\124\130\29\0",
	250000, "\129\88\72\130\1\130\26\0\129\88\72\130\1\130\27\0\71\130\0\130\29\0",
	260000, "\129\88\72\130\5\130\26\0\129\88\72\130\5\130\27\0\71\130\4\130\29\0",
	270000, "\129\88\72\130\9\130\26\0\129\88\72\130\9\130\27\0\71\130\8\130\29\0",
	280000, "\129\88\72\130\13\130\26\0\129\88\72\130\13\130\27\0\71\130\12\130\29\0",
	290000, "\129\88\72\130\17\130\26\0\129\88\72\130\17\130\27\0\71\130\16\130\29\0",
	300000, "\129\81\101\130\26\0\129\81\101\130\27\0\98\130\29\0",
	310000, "\129\89\100\129\113\130\26\0\129\89\100\129\113\130\27\0\99\129\112\130\29\0",
	320000, "\129\89\100\129\117\130\26\0\129\89\100\129\117\130\27\0\99\129\116\130\29\0",
	330000, "\129\89\100\129\121\130\26\0\129\89\100\129\121\130\27\0\99\129\120\130\29\0",
	340000, "\129\89\100\129\125\130\26\0\129\89\100\129\125\130\27\0\99\129\124\130\29\0",
	350000, "\129\89\100\130\1\130\26\0\129\89\100\130\1\130\27\0\99\130\0\130\29\0",
	360000, "\129\89\100\130\5\130\26\0\129\89\100\130\5\130\27\0\99\130\4\130\29\0",
	370000, "\129\89\100\130\9\130\26\0\129\89\100\130\9\130\27\0\99\130\8\130\29\0",
	380000, "\129\89\100\130\13\130\26\0\129\89\100\130\13\130\27\0\99\130\12\130\29\0",
	390000, "\129\89\100\130\17\130\26\0\129\89\100\130\17\130\27\0\99\130\16\130\29\0",
	400000, "\129\82\129\4\130\26\0\129\82\129\4\130\27\0\129\1\130\29\0",
	410000, "\129\90\129\3\129\113\130\26\0\129\90\129\3\129\113\130\27\0\129\2\129\112\130\29\0",
	420000, "\129\90\129\3\129\117\130\26\0\129\90\129\3\129\117\130\27\0\129\2\129\116\130\29\0",
	430000, "\129\90\129\3\129\121\130\26\0\129\90\129\3\129\121\130\27\0\129\2\129\120\130\29\0",
	440000, "\129\90\129\3\129\125\130\26\0\129\90\129\3\129\125\130\27\0\129\2\129\124\130\29\0",
	450000, "\129\90\129\3\130\1\130\26\0\129\90\129\3\130\1\130\27\0\129\2\130\0\130\29\0",
	460000, "\129\90\129\3\130\5\130\26\0\129\90\129\3\130\5\130\27\0\129\2\130\4\130\29\0",
	470000, "\129\90\129\3\130\9\130\26\0\129\90\129\3\130\9\130\27\0\129\2\130\8\130\29\0",
	480000, "\129\90\129\3\130\13\130\26\0\129\90\129\3\130\13\130\27\0\129\2\130\12\130\29\0",
	490000, "\129\90\129\3\130\17\130\26\0\129\90\129\3\130\17\130\27\0\129\2\130\16\130\29\0",
	500000, "\129\83\129\23\130\26\0\129\83\129\23\130\27\0\129\20\130\29\0",
	510000, "\129\78\130\39\129\20\130\26\0\129\78\130\39\129\20\130\27\0\130\39\129\20\130\29\0",
}

distances.feet = {
	15, "\129\83\129\26\130\18\0\129\83\129\26\130\18\0\129\19\130\19\0",
	30, "\129\79\35\130\18\0\129\79\35\130\18\0\30\130\19\0",
	46, "\129\79\34\130\1\130\18\0\129\79\34\130\1\130\18\0\33\130\0\130\19\0",
	61, "\129\80\73\130\18\0\129\80\73\130\18\0\70\130\19\0",
	91, "\129\81\101\130\18\0\129\81\101\130\18\0\98\130\19\0",
	122, "\129\82\129\4\130\18\0\129\82\129\4\130\18\0\129\1\130\19\0",
	152, "\129\83\129\23\130\18\0\129\83\129\23\130\18\0\129\20\130\19\0",
	183, "\129\82\129\35\130\18\0\129\82\129\35\130\18\0\129\32\130\19\0",
	213, "\129\79\129\47\130\18\0\129\79\129\47\130\18\0\129\44\130\19\0",
	244, "\129\83\129\59\130\18\0\129\83\129\59\130\18\0\129\56\130\19\0",
	274, "\129\80\129\71\130\18\0\129\80\129\71\130\18\0\129\68\130\19\0",
	305, "\129\83\32\0\129\83\31\130\18\0\31\130\19\0",
	402, "\129\82\130\44\0\129\82\130\45\0\130\46\0",
	644, "\129\83\129\84\130\35\0\129\83\129\84\130\38\0\130\40\0",
	805, "\129\83\130\20\0\129\83\130\21\0\130\22\0",
	966, "\129\83\130\41\130\33\0\129\83\130\41\130\34\0\130\42\0",
	1127, "\129\81\115\0\129\81\116\0\116\0",
	1448, "\129\83\129\85\130\35\0\129\83\129\85\130\35\0\130\43\0",
	1609, "\129\86\57\130\33\0\129\86\57\130\34\0\58\130\38\0",
	1770, "\129\86\4\130\35\0\129\86\4\130\38\0\2\130\38\0",
	1931, "\129\86\7\130\35\0\129\86\7\130\38\0\5\130\38\0",
	2092, "\129\86\10\130\35\0\129\86\10\130\38\0\8\130\38\0",
	2253, "\129\86\13\130\35\0\129\86\13\130\38\0\11\130\38\0",
	2414, "\129\86\16\130\35\0\129\86\16\130\38\0\14\130\38\0",
	2575, "\129\86\19\130\35\0\129\86\19\130\38\0\17\130\38\0",
	2736, "\129\86\22\130\35\0\129\86\22\130\38\0\20\130\38\0",
	2897, "\129\86\25\130\35\0\129\86\25\130\38\0\23\130\38\0",
	3058, "\129\86\28\130\35\0\129\86\28\130\38\0\26\130\38\0",
	3219, "\129\88\86\130\37\0\129\88\86\130\37\0\59\130\38\0",
	3380, "\129\88\85\129\111\130\35\0\129\88\85\129\111\130\38\0\60\130\36\0",
	3541, "\129\88\85\129\115\130\35\0\129\88\85\129\115\130\38\0\61\130\36\0",
	3701, "\129\88\85\129\119\130\35\0\129\88\85\129\119\130\38\0\62\130\36\0",
	3862, "\129\88\85\129\123\130\35\0\129\88\85\129\123\130\38\0\63\130\36\0",
	4023, "\129\88\85\129\127\130\35\0\129\88\85\129\127\130\38\0\64\130\36\0",
	4184, "\129\88\85\130\3\130\35\0\129\88\85\130\3\130\38\0\65\130\36\0",
	4345, "\129\88\85\130\7\130\35\0\129\88\85\130\7\130\38\0\66\130\36\0",
	4506, "\129\88\85\130\11\130\35\0\129\88\85\130\11\130\38\0\67\130\36\0",
	4667, "\129\88\85\130\15\130\35\0\129\88\85\130\15\130\38\0\68\130\36\0",
	4828, "\129\89\117\130\37\0\129\89\117\130\37\0\87\130\38\0",
	4989, "\129\89\114\129\111\130\35\0\129\89\114\129\111\130\38\0\88\130\36\0",
	5150, "\129\89\114\129\115\130\35\0\129\89\114\129\115\130\38\0\89\130\36\0",
	5311, "\129\89\114\129\119\130\35\0\129\89\114\129\119\130\38\0\90\130\36\0",
	5472, "\129\89\114\129\123\130\35\0\129\89\114\129\123\130\38\0\91\130\36\0",
	5633, "\129\89\114\129\127\130\35\0\129\89\114\129\127\130\38\0\92\130\36\0",
	5794, "\129\89\114\130\3\130\35\0\129\89\114\130\3\130\38\0\93\130\36\0",
	5955, "\129\89\114\130\7\130\35\0\129\89\114\130\7\130\38\0\94\130\36\0",
	6116, "\129\89\114\130\11\130\35\0\129\89\114\130\11\130\38\0\95\130\36\0",
	6276, "\129\89\114\130\15\130\35\0\129\89\114\130\15\130\38\0\96\130\36\0",
	6437, "\129\90\129\17\130\37\0\129\90\129\17\130\37\0\118\130\38\0",
	6598, "\129\90\129\16\129\111\130\35\0\129\90\129\16\129\111\130\38\0\119\130\36\0",
	6759, "\129\90\129\16\129\115\130\35\0\129\90\129\16\129\115\130\38\0\120\130\36\0",
	6920, "\129\90\129\16\129\119\130\35\0\129\90\129\16\129\119\130\38\0\121\130\36\0",
	7081, "\129\90\129\16\129\123\130\35\0\129\90\129\16\129\123\130\38\0\122\130\36\0",
	7242, "\129\90\129\16\129\127\130\35\0\129\90\129\16\129\127\130\38\0\123\130\36\0",
	7403, "\129\90\129\16\130\3\130\35\0\129\90\129\16\130\3\130\38\0\124\130\36\0",
	7564, "\129\90\129\16\130\7\130\35\0\129\90\129\16\130\7\130\38\0\125\130\36\0",
	7725, "\129\90\129\16\130\11\130\35\0\129\90\129\16\130\11\130\38\0\126\130\36\0",
	7886, "\129\90\129\16\130\15\130\35\0\129\90\129\16\130\15\130\38\0\127\130\36\0",
	8047, "\129\91\129\29\130\37\0\129\91\129\29\130\37\0\129\18\130\36\0",
	8208, "\129\91\129\28\129\111\130\35\0\129\91\129\28\129\111\130\38\0\129\27\129\110\130\36\0",
	8369, "\129\91\129\28\129\115\130\35\0\129\91\129\28\129\115\130\38\0\129\27\129\114\130\36\0",
	8530, "\129\91\129\28\129\119\130\35\0\129\91\129\28\129\119\130\38\0\129\27\129\118\130\36\0",
	8690, "\129\91\129\28\129\123\130\35\0\129\91\129\28\129\123\130\38\0\129\27\129\122\130\36\0",
	8851, "\129\91\129\28\129\127\130\35\0\129\91\129\28\129\127\130\38\0\129\27\129\126\130\36\0",
	9012, "\129\91\129\28\130\3\130\35\0\129\91\129\28\130\3\130\38\0\129\27\130\2\130\36\0",
	9173, "\129\91\129\28\130\7\130\35\0\129\91\129\28\130\7\130\38\0\129\27\130\6\130\36\0",
	9334, "\129\91\129\28\130\11\130\35\0\129\91\129\28\130\11\130\38\0\129\27\130\10\130\36\0",
	9495, "\129\91\129\28\130\15\130\35\0\129\91\129\28\130\15\130\38\0\129\27\130\14\130\36\0",
	9656, "\129\90\129\41\130\37\0\129\90\129\41\130\37\0\129\30\130\36\0",
	9817, "\129\90\129\40\129\111\130\35\0\129\90\129\40\129\111\130\38\0\129\39\129\110\130\36\0",
	9978, "\129\90\129\40\129\115\130\35\0\129\90\129\40\129\115\130\38\0\129\39\129\114\130\36\0",
	10139, "\129\90\129\40\129\119\130\35\0\129\90\129\40\129\119\130\38\0\129\39\129\118\130\36\0",
	10300, "\129\90\129\40\129\123\130\35\0\129\90\129\40\129\123\130\38\0\129\39\129\122\130\36\0",
	10461, "\129\90\129\40\129\127\130\35\0\129\90\129\40\129\127\130\38\0\129\39\129\126\130\36\0",
	10622, "\129\90\129\40\130\3\130\35\0\129\90\129\40\130\3\130\38\0\129\39\130\2\130\36\0",
	10783, "\129\90\129\40\130\7\130\35\0\129\90\129\40\130\7\130\38\0\129\39\130\6\130\36\0",
	10944, "\129\90\129\40\130\11\130\35\0\129\90\129\40\130\11\130\38\0\129\39\130\10\130\36\0",
	11104, "\129\90\129\40\130\15\130\35\0\129\90\129\40\130\15\130\38\0\129\39\130\14\130\36\0",
	11265, "\129\87\129\53\130\37\0\129\87\129\53\130\37\0\129\42\130\36\0",
	11426, "\129\87\129\52\129\111\130\38\0\129\87\129\52\129\111\130\38\0\129\51\129\110\130\36\0",
	11587, "\129\87\129\52\129\115\130\38\0\129\87\129\52\129\115\130\38\0\129\51\129\114\130\36\0",
	11748, "\129\87\129\52\129\119\130\38\0\129\87\129\52\129\119\130\38\0\129\51\129\118\130\36\0",
	11909, "\129\87\129\52\129\123\130\38\0\129\87\129\52\129\123\130\38\0\129\51\129\122\130\36\0",
	12070, "\129\87\129\52\129\127\130\38\0\129\87\129\52\129\127\130\38\0\129\51\129\126\130\36\0",
	12231, "\129\87\129\52\130\3\130\38\0\129\87\129\52\130\3\130\38\0\129\51\130\2\130\36\0",
	12392, "\129\87\129\52\130\7\130\38\0\129\87\129\52\130\7\130\38\0\129\51\130\6\130\36\0",
	12553, "\129\87\129\52\130\11\130\38\0\129\87\129\52\130\11\130\38\0\129\51\130\10\130\36\0",
	12714, "\129\87\129\52\130\15\130\38\0\129\87\129\52\130\15\130\38\0\129\51\130\14\130\36\0",
	12875, "\129\91\129\65\130\37\0\129\91\129\65\130\37\0\129\54\130\36\0",
	13036, "\129\91\129\64\129\111\130\35\0\129\91\129\64\129\111\130\38\0\129\63\129\110\130\36\0",
	13197, "\129\91\129\64\129\115\130\35\0\129\91\129\64\129\115\130\38\0\129\63\129\114\130\36\0",
	13358, "\129\91\129\64\129\119\130\35\0\129\91\129\64\129\119\130\38\0\129\63\129\118\130\36\0",
	13518, "\129\91\129\64\129\123\130\35\0\129\91\129\64\129\123\130\38\0\129\63\129\122\130\36\0",
	13679, "\129\91\129\64\129\127\130\35\0\129\91\129\64\129\127\130\38\0\129\63\129\126\130\36\0",
	13840, "\129\91\129\64\130\3\130\35\0\129\91\129\64\130\3\130\38\0\129\63\130\2\130\36\0",
	14001, "\129\91\129\64\130\7\130\35\0\129\91\129\64\130\7\130\38\0\129\63\130\6\130\36\0",
	14162, "\129\91\129\64\130\11\130\35\0\129\91\129\64\130\11\130\38\0\129\63\130\10\130\36\0",
	14323, "\129\91\129\64\130\15\130\35\0\129\91\129\64\130\15\130\38\0\129\63\130\14\130\36\0",
	14484, "\129\88\129\77\130\37\0\129\88\129\77\130\37\0\129\66\130\36\0",
	14645, "\129\88\129\76\129\111\130\35\0\129\88\129\76\129\111\130\38\0\129\75\129\110\130\36\0",
	14806, "\129\88\129\76\129\115\130\35\0\129\88\129\76\129\115\130\38\0\129\75\129\114\130\36\0",
	14967, "\129\88\129\76\129\119\130\35\0\129\88\129\76\129\119\130\38\0\129\75\129\118\130\36\0",
	15128, "\129\88\129\76\129\123\130\35\0\129\88\129\76\129\123\130\38\0\129\75\129\122\130\36\0",
	15289, "\129\88\129\76\129\127\130\35\0\129\88\129\76\129\127\130\38\0\129\75\129\126\130\36\0",
	15450, "\129\88\129\76\130\3\130\35\0\129\88\129\76\130\3\130\38\0\129\75\130\2\130\36\0",
	15611, "\129\88\129\76\130\7\130\35\0\129\88\129\76\130\7\130\38\0\129\75\130\6\130\36\0",
	15772, "\129\88\129\76\130\11\130\35\0\129\88\129\76\130\11\130\38\0\129\75\130\10\130\36\0",
	15933, "\129\88\129\76\130\15\130\35\0\129\88\129\76\130\15\130\38\0\129\75\130\14\130\36\0",
	16093, "\129\88\37\130\37\0\129\88\37\130\37\0\29\130\36\0",
	17703, "\129\86\39\130\37\0\129\86\39\130\37\0\38\130\36\0",
	19312, "\129\88\41\130\37\0\129\88\41\130\37\0\40\130\36\0",
	20921, "\129\89\43\130\37\0\129\89\43\130\37\0\42\130\36\0",
	22531, "\129\90\45\130\37\0\129\90\45\130\37\0\44\130\36\0",
	24140, "\129\91\47\130\37\0\129\91\47\130\37\0\46\130\36\0",
	25750, "\129\90\49\130\37\0\129\90\49\130\37\0\48\130\36\0",
	27359, "\129\87\51\130\37\0\129\87\51\130\37\0\50\130\36\0",
	28968, "\129\91\53\130\37\0\129\91\53\130\37\0\52\130\36\0",
	30578, "\129\88\55\130\37\0\129\88\55\130\37\0\54\130\36\0",
	32187, "\129\88\75\130\37\0\129\88\75\130\37\0\69\130\36\0",
	33796, "\129\88\74\129\93\130\35\0\129\88\74\129\93\130\38\0\76\130\36\0",
	35406, "\129\88\74\129\95\130\37\0\129\88\74\129\95\130\37\0\77\130\36\0",
	37015, "\129\88\74\129\97\130\37\0\129\88\74\129\97\130\37\0\78\130\36\0",
	38624, "\129\88\74\129\99\130\37\0\129\88\74\129\99\130\37\0\79\130\36\0",
	40234, "\129\88\74\129\101\130\37\0\129\88\74\129\101\130\37\0\80\130\36\0",
	41843, "\129\88\74\129\103\130\37\0\129\88\74\129\103\130\37\0\81\130\36\0",
	43452, "\129\88\74\129\105\130\37\0\129\88\74\129\105\130\37\0\82\130\36\0",
	45062, "\129\88\74\129\107\130\37\0\129\88\74\129\107\130\37\0\83\130\36\0",
	46671, "\129\88\74\129\109\130\37\0\129\88\74\129\109\130\37\0\84\130\36\0",
	48280, "\129\89\104\130\37\0\129\89\104\130\37\0\97\130\36\0",
	49890, "\129\89\103\129\93\130\35\0\129\89\103\129\93\130\38\0\105\130\36\0",
	51499, "\129\89\103\129\95\130\37\0\129\89\103\129\95\130\37\0\106\130\36\0",
	53108, "\129\89\103\129\97\130\37\0\129\89\103\129\97\130\37\0\107\130\36\0",
	54718, "\129\89\103\129\99\130\37\0\129\89\103\129\99\130\37\0\108\130\36\0",
	56327, "\129\89\103\129\101\130\37\0\129\89\103\129\101\130\37\0\109\130\36\0",
	57936, "\129\89\103\129\103\130\37\0\129\89\103\129\103\130\37\0\110\130\36\0",
	59546, "\129\89\103\129\105\130\37\0\129\89\103\129\105\130\37\0\111\130\36\0",
	61155, "\129\89\103\129\107\130\37\0\129\89\103\129\107\130\37\0\112\130\36\0",
	62764, "\129\89\103\129\109\130\37\0\129\89\103\129\109\130\37\0\113\130\36\0",
	64374, "\129\90\129\6\130\37\0\129\90\129\6\130\37\0\129\0\130\36\0",
	65983, "\129\90\129\5\129\93\130\35\0\129\90\129\5\129\93\130\38\0\129\7\130\36\0",
	67592, "\129\90\129\5\129\95\130\37\0\129\90\129\5\129\95\130\37\0\129\8\130\36\0",
	69202, "\129\90\129\5\129\97\130\37\0\129\90\129\5\129\97\130\37\0\129\9\130\36\0",
	70811, "\129\90\129\5\129\99\130\37\0\129\90\129\5\129\99\130\37\0\129\10\130\36\0",
	72420, "\129\90\129\5\129\101\130\37\0\129\90\129\5\129\101\130\37\0\129\11\130\36\0",
	74030, "\129\90\129\5\129\103\130\37\0\129\90\129\5\129\103\130\37\0\129\12\130\36\0",
	75639, "\129\90\129\5\129\105\130\37\0\129\90\129\5\129\105\130\37\0\129\13\130\36\0",
	77249, "\129\90\129\5\129\107\130\37\0\129\90\129\5\129\107\130\37\0\129\14\130\36\0",
	78858, "\129\90\129\5\129\109\130\37\0\129\90\129\5\129\109\130\37\0\129\15\130\36\0",
	80467, "\129\91\129\26\130\37\0\129\91\129\26\130\37\0\129\19\130\36\0",
	82077, "\129\91\129\25\129\93\130\35\0\129\91\129\25\129\93\130\38\0\129\24\129\92\130\36\0",
	83686, "\129\91\129\25\129\95\130\37\0\129\91\129\25\129\95\130\37\0\129\24\129\94\130\36\0",
	85295, "\129\91\129\25\129\97\130\37\0\129\91\129\25\129\97\130\37\0\129\24\129\96\130\36\0",
	86905, "\129\91\129\25\129\99\130\37\0\129\91\129\25\129\99\130\37\0\129\24\129\98\130\36\0",
	88514, "\129\91\129\25\129\101\130\37\0\129\91\129\25\129\101\130\37\0\129\24\129\100\130\36\0",
	90123, "\129\91\129\25\129\103\130\37\0\129\91\129\25\129\103\130\37\0\129\24\129\102\130\36\0",
	91733, "\129\91\129\25\129\105\130\37\0\129\91\129\25\129\105\130\37\0\129\24\129\104\130\36\0",
	93342, "\129\91\129\25\129\107\130\37\0\129\91\129\25\129\107\130\37\0\129\24\129\106\130\36\0",
	94951, "\129\91\129\25\129\109\130\37\0\129\91\129\25\129\109\130\37\0\129\24\129\108\130\36\0",
	96561, "\129\90\129\38\130\37\0\129\90\129\38\130\37\0\129\31\130\36\0",
	98170, "\129\90\129\37\129\93\130\35\0\129\90\129\37\129\93\130\38\0\129\36\129\92\130\36\0",
	99779, "\129\90\129\37\129\95\130\37\0\129\90\129\37\129\95\130\37\0\129\36\129\94\130\36\0",
	101389, "\129\90\129\37\129\97\130\37\0\129\90\129\37\129\97\130\37\0\129\36\129\96\130\36\0",
	102998, "\129\90\129\37\129\99\130\37\0\129\90\129\37\129\99\130\37\0\129\36\129\98\130\36\0",
	104607, "\129\90\129\37\129\101\130\37\0\129\90\129\37\129\101\130\37\0\129\36\129\100\130\36\0",
	106217, "\129\90\129\37\129\103\130\37\0\129\90\129\37\129\103\130\37\0\129\36\129\102\130\36\0",
	107826, "\129\90\129\37\129\105\130\37\0\129\90\129\37\129\105\130\37\0\129\36\129\104\130\36\0",
	109435, "\129\90\129\37\129\107\130\37\0\129\90\129\37\129\107\130\37\0\129\36\129\106\130\36\0",
	111045, "\129\90\129\37\129\109\130\37\0\129\90\129\37\129\109\130\37\0\129\36\129\108\130\36\0",
	112654, "\129\87\129\50\130\37\0\129\87\129\50\130\37\0\129\43\130\36\0",
	114263, "\129\87\129\49\129\93\130\35\0\129\87\129\49\129\93\130\38\0\129\48\129\92\130\36\0",
	115873, "\129\87\129\49\129\95\130\37\0\129\87\129\49\129\95\130\37\0\129\48\129\94\130\36\0",
	117482, "\129\87\129\49\129\97\130\37\0\129\87\129\49\129\97\130\37\0\129\48\129\96\130\36\0",
	119091, "\129\87\129\49\129\99\130\37\0\129\87\129\49\129\99\130\37\0\129\48\129\98\130\36\0",
	120701, "\129\87\129\49\129\101\130\37\0\129\87\129\49\129\101\130\37\0\129\48\129\100\130\36\0",
	122310, "\129\87\129\49\129\103\130\37\0\129\87\129\49\129\103\130\37\0\129\48\129\102\130\36\0",
	123919, "\129\87\129\49\129\105\130\37\0\129\87\129\49\129\105\130\37\0\129\48\129\104\130\36\0",
	125529, "\129\87\129\49\129\107\130\37\0\129\87\129\49\129\107\130\37\0\129\48\129\106\130\36\0",
	127138, "\129\87\129\49\129\109\130\37\0\129\87\129\49\129\109\130\37\0\129\48\129\108\130\36\0",
	128748, "\129\91\129\62\130\37\0\129\91\129\62\130\37\0\129\55\130\36\0",
	130357, "\129\91\129\61\129\93\130\35\0\129\91\129\61\129\93\130\38\0\129\60\129\92\130\36\0",
	131966, "\129\91\129\61\129\95\130\37\0\129\91\129\61\129\95\130\37\0\129\60\129\94\130\36\0",
	133576, "\129\91\129\61\129\97\130\37\0\129\91\129\61\129\97\130\37\0\129\60\129\96\130\36\0",
	135185, "\129\91\129\61\129\99\130\37\0\129\91\129\61\129\99\130\37\0\129\60\129\98\130\36\0",
	136794, "\129\91\129\61\129\101\130\37\0\129\91\129\61\129\101\130\37\0\129\60\129\100\130\36\0",
	138404, "\129\91\129\61\129\103\130\37\0\129\91\129\61\129\103\130\37\0\129\60\129\102\130\36\0",
	140013, "\129\91\129\61\129\105\130\37\0\129\91\129\61\129\105\130\37\0\129\60\129\104\130\36\0",
	141622, "\129\91\129\61\129\107\130\37\0\129\91\129\61\129\107\130\37\0\129\60\129\106\130\36\0",
	143232, "\129\91\129\61\129\109\130\37\0\129\91\129\61\129\109\130\37\0\129\60\129\108\130\36\0",
	144841, "\129\88\129\74\130\37\0\129\88\129\74\130\37\0\129\67\130\36\0",
	146450, "\129\88\129\73\129\93\130\35\0\129\88\129\73\129\93\130\38\0\129\72\129\92\130\36\0",
	148060, "\129\88\129\73\129\95\130\37\0\129\88\129\73\129\95\130\37\0\129\72\129\94\130\36\0",
	149669, "\129\88\129\73\129\97\130\37\0\129\88\129\73\129\97\130\37\0\129\72\129\96\130\36\0",
	151278, "\129\88\129\73\129\99\130\37\0\129\88\129\73\129\99\130\37\0\129\72\129\98\130\36\0",
	152888, "\129\88\129\73\129\101\130\37\0\129\88\129\73\129\101\130\37\0\129\72\129\100\130\36\0",
	154497, "\129\88\129\73\129\103\130\37\0\129\88\129\73\129\103\130\37\0\129\72\129\102\130\36\0",
	156106, "\129\88\129\73\129\105\130\37\0\129\88\129\73\129\105\130\37\0\129\72\129\104\130\36\0",
	157716, "\129\88\129\73\129\107\130\37\0\129\88\129\73\129\107\130\37\0\129\72\129\106\130\36\0",
	159325, "\129\88\129\73\129\109\130\37\0\129\88\129\73\129\109\130\37\0\129\72\129\108\130\36\0",
	160934, "\129\87\35\130\37\0\129\87\35\130\37\0\30\130\36\0",
	177028, "\129\87\33\129\113\130\37\0\129\87\33\129\113\130\37\0\33\129\112\130\36\0",
	193121, "\129\87\33\129\117\130\37\0\129\87\33\129\117\130\37\0\33\129\116\130\36\0",
	209215, "\129\87\33\129\121\130\37\0\129\87\33\129\121\130\37\0\33\129\120\130\36\0",
	225308, "\129\87\33\129\125\130\37\0\129\87\33\129\125\130\37\0\33\129\124\130\36\0",
	241402, "\129\87\33\130\1\130\37\0\129\87\33\130\1\130\37\0\33\130\0\130\36\0",
	257495, "\129\87\33\130\5\130\37\0\129\87\33\130\5\130\37\0\33\130\4\130\36\0",
	273588, "\129\87\33\130\9\130\37\0\129\87\33\130\9\130\37\0\33\130\8\130\36\0",
	289682, "\129\87\33\130\13\130\37\0\129\87\33\130\13\130\37\0\33\130\12\130\36\0",
	305775, "\129\87\33\130\17\130\37\0\129\87\33\130\17\130\37\0\33\130\16\130\36\0",
	321869, "\129\88\73\130\37\0\129\88\73\130\37\0\70\130\36\0",
	337962, "\129\88\72\129\113\130\37\0\129\88\72\129\113\130\37\0\71\129\112\130\36\0",
	354056, "\129\88\72\129\117\130\37\0\129\88\72\129\117\130\37\0\71\129\116\130\36\0",
	370149, "\129\88\72\129\121\130\37\0\129\88\72\129\121\130\37\0\71\129\120\130\36\0",
	386243, "\129\88\72\129\125\130\37\0\129\88\72\129\125\130\37\0\71\129\124\130\36\0",
	402336, "\129\88\72\130\1\130\37\0\129\88\72\130\1\130\37\0\71\130\0\130\36\0",
	418429, "\129\88\72\130\5\130\37\0\129\88\72\130\5\130\37\0\71\130\4\130\36\0",
	434523, "\129\88\72\130\9\130\37\0\129\88\72\130\9\130\37\0\71\130\8\130\36\0",
	450616, "\129\88\72\130\13\130\37\0\129\88\72\130\13\130\37\0\71\130\12\130\36\0",
	466710, "\129\88\72\130\17\130\37\0\129\88\72\130\17\130\37\0\71\130\16\130\36\0",
	482803, "\129\89\101\130\37\0\129\89\101\130\37\0\98\130\36\0",
	498897, "\129\89\100\129\113\130\37\0\129\89\100\129\113\130\37\0\99\129\112\130\36\0",
	514990, "\129\89\100\129\117\130\37\0\129\89\100\129\117\130\37\0\99\129\116\130\36\0",
	531084, "\129\89\100\129\121\130\37\0\129\89\100\129\121\130\37\0\99\129\120\130\36\0",
	547177, "\129\89\100\129\125\130\37\0\129\89\100\129\125\130\37\0\99\129\124\130\36\0",
	563270, "\129\89\100\130\1\130\37\0\129\89\100\130\1\130\37\0\99\130\0\130\36\0",
	579364, "\129\89\100\130\5\130\37\0\129\89\100\130\5\130\37\0\99\130\4\130\36\0",
	595457, "\129\89\100\130\9\130\37\0\129\89\100\130\9\130\37\0\99\130\8\130\36\0",
	611551, "\129\89\100\130\13\130\37\0\129\89\100\130\13\130\37\0\99\130\12\130\36\0",
	627644, "\129\89\100\130\17\130\37\0\129\89\100\130\17\130\37\0\99\130\16\130\36\0",
	643738, "\129\90\129\4\130\37\0\129\90\129\4\130\37\0\129\1\130\36\0",
	659831, "\129\90\129\3\129\113\130\37\0\129\90\129\3\129\113\130\37\0\129\2\129\112\130\36\0",
	675924, "\129\90\129\3\129\117\130\37\0\129\90\129\3\129\117\130\37\0\129\2\129\116\130\36\0",
	692018, "\129\90\129\3\129\121\130\37\0\129\90\129\3\129\121\130\37\0\129\2\129\120\130\36\0",
	708111, "\129\90\129\3\129\125\130\37\0\129\90\129\3\129\125\130\37\0\129\2\129\124\130\36\0",
	724205, "\129\90\129\3\130\1\130\37\0\129\90\129\3\130\1\130\37\0\129\2\130\0\130\36\0",
	740298, "\129\90\129\3\130\5\130\37\0\129\90\129\3\130\5\130\37\0\129\2\130\4\130\36\0",
	756392, "\129\90\129\3\130\9\130\37\0\129\90\129\3\130\9\130\37\0\129\2\130\8\130\36\0",
	772485, "\129\90\129\3\130\13\130\37\0\129\90\129\3\130\13\130\37\0\129\2\130\12\130\36\0",
	788579, "\129\90\129\3\130\17\130\37\0\129\90\129\3\130\17\130\37\0\129\2\130\16\130\36\0",
	804672, "\129\91\129\23\130\37\0\129\91\129\23\130\37\0\129\20\130\36\0",
	820765, "\129\86\130\39\129\20\130\37\0\129\86\130\39\129\20\130\37\0\130\39\129\20\130\36\0",
}

distances.yards = {
	9, "\129\88\37\130\48\0\129\88\37\130\48\0\29\130\47\0",
	18, "\129\88\75\130\48\0\129\88\75\130\48\0\69\130\47\0",
	27, "\129\89\104\130\48\0\129\89\104\130\48\0\97\130\47\0",
	37, "\129\90\129\6\130\48\0\129\90\129\6\130\48\0\129\0\130\47\0",
	46, "\129\91\129\26\130\48\0\129\91\129\26\130\48\0\129\19\130\47\0",
	55, "\129\90\129\38\130\48\0\129\90\129\38\130\48\0\129\31\130\47\0",
	64, "\129\87\129\50\130\48\0\129\87\129\50\130\48\0\129\43\130\47\0",
	73, "\129\91\129\62\130\48\0\129\91\129\62\130\48\0\129\55\130\47\0",
	82, "\129\88\129\74\130\48\0\129\88\129\74\130\48\0\129\67\130\47\0",
	91, "\129\87\35\130\48\0\129\87\35\130\48\0\30\130\47\0",
	101, "\129\87\33\129\113\130\48\0\129\87\33\129\113\130\48\0\33\129\112\130\47\0",
	110, "\129\87\33\129\117\130\48\0\129\87\33\129\117\130\48\0\33\129\116\130\47\0",
	119, "\129\87\33\129\121\130\48\0\129\87\33\129\121\130\48\0\33\129\120\130\47\0",
	128, "\129\87\33\129\125\130\48\0\129\87\33\129\125\130\48\0\33\129\124\130\47\0",
	137, "\129\87\33\130\1\130\48\0\129\87\33\130\1\130\48\0\33\130\0\130\47\0",
	146, "\129\87\33\130\5\130\48\0\129\87\33\130\5\130\48\0\33\130\4\130\47\0",
	155, "\129\87\33\130\9\130\48\0\129\87\33\130\9\130\48\0\33\130\8\130\47\0",
	165, "\129\87\33\130\13\130\48\0\129\87\33\130\13\130\48\0\33\130\12\130\47\0",
	174, "\129\87\33\130\17\130\48\0\129\87\33\130\17\130\48\0\33\130\16\130\47\0",
	183, "\129\88\73\130\48\0\129\88\73\130\48\0\70\130\47\0",
	192, "\129\88\72\129\113\130\48\0\129\88\72\129\113\130\48\0\71\129\112\130\47\0",
	201, "\129\88\72\129\117\130\48\0\129\88\72\129\117\130\48\0\71\129\116\130\47\0",
	210, "\129\88\72\129\121\130\48\0\129\88\72\129\121\130\48\0\71\129\120\130\47\0",
	219, "\129\88\72\129\125\130\48\0\129\88\72\129\125\130\48\0\71\129\124\130\47\0",
	229, "\129\88\72\130\1\130\48\0\129\88\72\130\1\130\48\0\71\130\0\130\47\0",
	238, "\129\88\72\130\5\130\48\0\129\88\72\130\5\130\48\0\71\130\4\130\47\0",
	247, "\129\88\72\130\9\130\48\0\129\88\72\130\9\130\48\0\71\130\8\130\47\0",
	256, "\129\88\72\130\13\130\48\0\129\88\72\130\13\130\48\0\71\130\12\130\47\0",
	265, "\129\88\72\130\17\130\48\0\129\88\72\130\17\130\48\0\71\130\16\130\47\0",
	274, "\129\89\101\130\48\0\129\89\101\130\48\0\98\130\47\0",
	283, "\129\89\100\129\113\130\48\0\129\89\100\129\113\130\48\0\99\129\112\130\47\0",
	293, "\129\89\100\129\117\130\48\0\129\89\100\129\117\130\48\0\99\129\116\130\47\0",
	302, "\129\89\100\129\121\130\48\0\129\89\100\129\121\130\48\0\99\129\120\130\47\0",
	311, "\129\89\100\129\125\130\48\0\129\89\100\129\125\130\48\0\99\129\124\130\47\0",
	320, "\129\89\100\130\1\130\48\0\129\89\100\130\1\130\48\0\99\130\0\130\47\0",
	329, "\129\89\100\130\5\130\48\0\129\89\100\130\5\130\48\0\99\130\4\130\47\0",
	338, "\129\89\100\130\9\130\48\0\129\89\100\130\9\130\48\0\99\130\8\130\47\0",
	347, "\129\89\100\130\13\130\48\0\129\89\100\130\13\130\48\0\99\130\12\130\47\0",
	357, "\129\89\100\130\17\130\48\0\129\89\100\130\17\130\48\0\99\130\16\130\47\0",
	366, "\129\90\129\4\130\48\0\129\90\129\4\130\48\0\129\1\130\47\0",
	402, "\129\82\130\44\0\129\82\130\45\0\130\46\0",
	644, "\129\83\129\84\130\35\0\129\83\129\84\130\38\0\130\40\0",
	805, "\129\83\130\20\0\129\83\130\21\0\130\22\0",
	966, "\129\83\130\41\130\33\0\129\83\130\41\130\34\0\130\42\0",
	1127, "\129\81\115\0\129\81\116\0\116\0",
	1448, "\129\83\129\85\130\35\0\129\83\129\85\130\35\0\130\43\0",
	1609, "\129\86\57\130\33\0\129\86\57\130\34\0\58\130\38\0",
	1770, "\129\86\4\130\35\0\129\86\4\130\38\0\2\130\38\0",
	1931, "\129\86\7\130\35\0\129\86\7\130\38\0\5\130\38\0",
	2092, "\129\86\10\130\35\0\129\86\10\130\38\0\8\130\38\0",
	2253, "\129\86\13\130\35\0\129\86\13\130\38\0\11\130\38\0",
	2414, "\129\86\16\130\35\0\129\86\16\130\38\0\14\130\38\0",
	2575, "\129\86\19\130\35\0\129\86\19\130\38\0\17\130\38\0",
	2736, "\129\86\22\130\35\0\129\86\22\130\38\0\20\130\38\0",
	2897, "\129\86\25\130\35\0\129\86\25\130\38\0\23\130\38\0",
	3058, "\129\86\28\130\35\0\129\86\28\130\38\0\26\130\38\0",
	3219, "\129\88\86\130\37\0\129\88\86\130\37\0\59\130\38\0",
	3380, "\129\88\85\129\111\130\35\0\129\88\85\129\111\130\38\0\60\130\36\0",
	3541, "\129\88\85\129\115\130\35\0\129\88\85\129\115\130\38\0\61\130\36\0",
	3701, "\129\88\85\129\119\130\35\0\129\88\85\129\119\130\38\0\62\130\36\0",
	3862, "\129\88\85\129\123\130\35\0\129\88\85\129\123\130\38\0\63\130\36\0",
	4023, "\129\88\85\129\127\130\35\0\129\88\85\129\127\130\38\0\64\130\36\0",
	4184, "\129\88\85\130\3\130\35\0\129\88\85\130\3\130\38\0\65\130\36\0",
	4345, "\129\88\85\130\7\130\35\0\129\88\85\130\7\130\38\0\66\130\36\0",
	4506, "\129\88\85\130\11\130\35\0\129\88\85\130\11\130\38\0\67\130\36\0",
	4667, "\129\88\85\130\15\130\35\0\129\88\85\130\15\130\38\0\68\130\36\0",
	4828, "\129\89\117\130\37\0\129\89\117\130\37\0\87\130\38\0",
	4989, "\129\89\114\129\111\130\35\0\129\89\114\129\111\130\38\0\88\130\36\0",
	5150, "\129\89\114\129\115\130\35\0\129\89\114\129\115\130\38\0\89\130\36\0",
	5311, "\129\89\114\129\119\130\35\0\129\89\114\129\119\130\38\0\90\130\36\0",
	5472, "\129\89\114\129\123\130\35\0\129\89\114\129\123\130\38\0\91\130\36\0",
	5633, "\129\89\114\129\127\130\35\0\129\89\114\129\127\130\38\0\92\130\36\0",
	5794, "\129\89\114\130\3\130\35\0\129\89\114\130\3\130\38\0\93\130\36\0",
	5955, "\129\89\114\130\7\130\35\0\129\89\114\130\7\130\38\0\94\130\36\0",
	6116, "\129\89\114\130\11\130\35\0\129\89\114\130\11\130\38\0\95\130\36\0",
	6276, "\129\89\114\130\15\130\35\0\129\89\114\130\15\130\38\0\96\130\36\0",
	6437, "\129\90\129\17\130\37\0\129\90\129\17\130\37\0\118\130\38\0",
	6598, "\129\90\129\16\129\111\130\35\0\129\90\129\16\129\111\130\38\0\119\130\36\0",
	6759, "\129\90\129\16\129\115\130\35\0\129\90\129\16\129\115\130\38\0\120\130\36\0",
	6920, "\129\90\129\16\129\119\130\35\0\129\90\129\16\129\119\130\38\0\121\130\36\0",
	7081, "\129\90\129\16\129\123\130\35\0\129\90\129\16\129\123\130\38\0\122\130\36\0",
	7242, "\129\90\129\16\129\127\130\35\0\129\90\129\16\129\127\130\38\0\123\130\36\0",
	7403, "\129\90\129\16\130\3\130\35\0\129\90\129\16\130\3\130\38\0\124\130\36\0",
	7564, "\129\90\129\16\130\7\130\35\0\129\90\129\16\130\7\130\38\0\125\130\36\0",
	7725, "\129\90\129\16\130\11\130\35\0\129\90\129\16\130\11\130\38\0\126\130\36\0",
	7886, "\129\90\129\16\130\15\130\35\0\129\90\129\16\130\15\130\38\0\127\130\36\0",
	8047, "\129\91\129\29\130\37\0\129\91\129\29\130\37\0\129\18\130\36\0",
	8208, "\129\91\129\28\129\111\130\35\0\129\91\129\28\129\111\130\38\0\129\27\129\110\130\36\0",
	8369, "\129\91\129\28\129\115\130\35\0\129\91\129\28\129\115\130\38\0\129\27\129\114\130\36\0",
	8530, "\129\91\129\28\129\119\130\35\0\129\91\129\28\129\119\130\38\0\129\27\129\118\130\36\0",
	8690, "\129\91\129\28\129\123\130\35\0\129\91\129\28\129\123\130\38\0\129\27\129\122\130\36\0",
	8851, "\129\91\129\28\129\127\130\35\0\129\91\129\28\129\127\130\38\0\129\27\129\126\130\36\0",
	9012, "\129\91\129\28\130\3\130\35\0\129\91\129\28\130\3\130\38\0\129\27\130\2\130\36\0",
	9173, "\129\91\129\28\130\7\130\35\0\129\91\129\28\130\7\130\38\0\129\27\130\6\130\36\0",
	9334, "\129\91\129\28\130\11\130\35\0\129\91\129\28\130\11\130\38\0\129\27\130\10\130\36\0",
	9495, "\129\91\129\28\130\15\130\35\0\129\91\129\28\130\15\130\38\0\129\27\130\14\130\36\0",
	9656, "\129\90\129\41\130\37\0\129\90\129\41\130\37\0\129\30\130\36\0",
	9817, "\129\90\129\40\129\111\130\35\0\129\90\129\40\129\111\130\38\0\129\39\129\110\130\36\0",
	9978, "\129\90\129\40\129\115\130\35\0\129\90\129\40\129\115\130\38\0\129\39\129\114\130\36\0",
	10139, "\129\90\129\40\129\119\130\35\0\129\90\129\40\129\119\130\38\0\129\39\129\118\130\36\0",
	10300, "\129\90\129\40\129\123\130\35\0\129\90\129\40\129\123\130\38\0\129\39\129\122\130\36\0",
	10461, "\129\90\129\40\129\127\130\35\0\129\90\129\40\129\127\130\38\0\129\39\129\126\130\36\0",
	10622, "\129\90\129\40\130\3\130\35\0\129\90\129\40\130\3\130\38\0\129\39\130\2\130\36\0",
	10783, "\129\90\129\40\130\7\130\35\0\129\90\129\40\130\7\130\38\0\129\39\130\6\130\36\0",
	10944, "\129\90\129\40\130\11\130\35\0\129\90\129\40\130\11\130\38\0\129\39\130\10\130\36\0",
	11104, "\129\90\129\40\130\15\130\35\0\129\90\129\40\130\15\130\38\0\129\39\130\14\130\36\0",
	11265, "\129\87\129\53\130\37\0\129\87\129\53\130\37\0\129\42\130\36\0",
	11426, "\129\87\129\52\129\111\130\38\0\129\87\129\52\129\111\130\38\0\129\51\129\110\130\36\0",
	11587, "\129\87\129\52\129\115\130\38\0\129\87\129\52\129\115\130\38\0\129\51\129\114\130\36\0",
	11748, "\129\87\129\52\129\119\130\38\0\129\87\129\52\129\119\130\38\0\129\51\129\118\130\36\0",
	11909, "\129\87\129\52\129\123\130\38\0\129\87\129\52\129\123\130\38\0\129\51\129\122\130\36\0",
	12070, "\129\87\129\52\129\127\130\38\0\129\87\129\52\129\127\130\38\0\129\51\129\126\130\36\0",
	12231, "\129\87\129\52\130\3\130\38\0\129\87\129\52\130\3\130\38\0\129\51\130\2\130\36\0",
	12392, "\129\87\129\52\130\7\130\38\0\129\87\129\52\130\7\130\38\0\129\51\130\6\130\36\0",
	12553, "\129\87\129\52\130\11\130\38\0\129\87\129\52\130\11\130\38\0\129\51\130\10\130\36\0",
	12714, "\129\87\129\52\130\15\130\38\0\129\87\129\52\130\15\130\38\0\129\51\130\14\130\36\0",
	12875, "\129\91\129\65\130\37\0\129\91\129\65\130\37\0\129\54\130\36\0",
	13036, "\129\91\129\64\129\111\130\35\0\129\91\129\64\129\111\130\38\0\129\63\129\110\130\36\0",
	13197, "\129\91\129\64\129\115\130\35\0\129\91\129\64\129\115\130\38\0\129\63\129\114\130\36\0",
	13358, "\129\91\129\64\129\119\130\35\0\129\91\129\64\129\119\130\38\0\129\63\129\118\130\36\0",
	13518, "\129\91\129\64\129\123\130\35\0\129\91\129\64\129\123\130\38\0\129\63\129\122\130\36\0",
	13679, "\129\91\129\64\129\127\130\35\0\129\91\129\64\129\127\130\38\0\129\63\129\126\130\36\0",
	13840, "\129\91\129\64\130\3\130\35\0\129\91\129\64\130\3\130\38\0\129\63\130\2\130\36\0",
	14001, "\129\91\129\64\130\7\130\35\0\129\91\129\64\130\7\130\38\0\129\63\130\6\130\36\0",
	14162, "\129\91\129\64\130\11\130\35\0\129\91\129\64\130\11\130\38\0\129\63\130\10\130\36\0",
	14323, "\129\91\129\64\130\15\130\35\0\129\91\129\64\130\15\130\38\0\129\63\130\14\130\36\0",
	14484, "\129\88\129\77\130\37\0\129\88\129\77\130\37\0\129\66\130\36\0",
	14645, "\129\88\129\76\129\111\130\35\0\129\88\129\76\129\111\130\38\0\129\75\129\110\130\36\0",
	14806, "\129\88\129\76\129\115\130\35\0\129\88\129\76\129\115\130\38\0\129\75\129\114\130\36\0",
	14967, "\129\88\129\76\129\119\130\35\0\129\88\129\76\129\119\130\38\0\129\75\129\118\130\36\0",
	15128, "\129\88\129\76\129\123\130\35\0\129\88\129\76\129\123\130\38\0\129\75\129\122\130\36\0",
	15289, "\129\88\129\76\129\127\130\35\0\129\88\129\76\129\127\130\38\0\129\75\129\126\130\36\0",
	15450, "\129\88\129\76\130\3\130\35\0\129\88\129\76\130\3\130\38\0\129\75\130\2\130\36\0",
	15611, "\129\88\129\76\130\7\130\35\0\129\88\129\76\130\7\130\38\0\129\75\130\6\130\36\0",
	15772, "\129\88\129\76\130\11\130\35\0\129\88\129\76\130\11\130\38\0\129\75\130\10\130\36\0",
	15933, "\129\88\129\76\130\15\130\35\0\129\88\129\76\130\15\130\38\0\129\75\130\14\130\36\0",
	16093, "\129\88\37\130\37\0\129\88\37\130\37\0\29\130\36\0",
	17703, "\129\86\39\130\37\0\129\86\39\130\37\0\38\130\36\0",
	19312, "\129\88\41\130\37\0\129\88\41\130\37\0\40\130\36\0",
	20921, "\129\89\43\130\37\0\129\89\43\130\37\0\42\130\36\0",
	22531, "\129\90\45\130\37\0\129\90\45\130\37\0\44\130\36\0",
	24140, "\129\91\47\130\37\0\129\91\47\130\37\0\46\130\36\0",
	25750, "\129\90\49\130\37\0\129\90\49\130\37\0\48\130\36\0",
	27359, "\129\87\51\130\37\0\129\87\51\130\37\0\50\130\36\0",
	28968, "\129\91\53\130\37\0\129\91\53\130\37\0\52\130\36\0",
	30578, "\129\88\55\130\37\0\129\88\55\130\37\0\54\130\36\0",
	32187, "\129\88\75\130\37\0\129\88\75\130\37\0\69\130\36\0",
	33796, "\129\88\74\129\93\130\35\0\129\88\74\129\93\130\38\0\76\130\36\0",
	35406, "\129\88\74\129\95\130\37\0\129\88\74\129\95\130\37\0\77\130\36\0",
	37015, "\129\88\74\129\97\130\37\0\129\88\74\129\97\130\37\0\78\130\36\0",
	38624, "\129\88\74\129\99\130\37\0\129\88\74\129\99\130\37\0\79\130\36\0",
	40234, "\129\88\74\129\101\130\37\0\129\88\74\129\101\130\37\0\80\130\36\0",
	41843, "\129\88\74\129\103\130\37\0\129\88\74\129\103\130\37\0\81\130\36\0",
	43452, "\129\88\74\129\105\130\37\0\129\88\74\129\105\130\37\0\82\130\36\0",
	45062, "\129\88\74\129\107\130\37\0\129\88\74\129\107\130\37\0\83\130\36\0",
	46671, "\129\88\74\129\109\130\37\0\129\88\74\129\109\130\37\0\84\130\36\0",
	48280, "\129\89\104\130\37\0\129\89\104\130\37\0\97\130\36\0",
	49890, "\129\89\103\129\93\130\35\0\129\89\103\129\93\130\38\0\105\130\36\0",
	51499, "\129\89\103\129\95\130\37\0\129\89\103\129\95\130\37\0\106\130\36\0",
	53108, "\129\89\103\129\97\130\37\0\129\89\103\129\97\130\37\0\107\130\36\0",
	54718, "\129\89\103\129\99\130\37\0\129\89\103\129\99\130\37\0\108\130\36\0",
	56327, "\129\89\103\129\101\130\37\0\129\89\103\129\101\130\37\0\109\130\36\0",
	57936, "\129\89\103\129\103\130\37\0\129\89\103\129\103\130\37\0\110\130\36\0",
	59546, "\129\89\103\129\105\130\37\0\129\89\103\129\105\130\37\0\111\130\36\0",
	61155, "\129\89\103\129\107\130\37\0\129\89\103\129\107\130\37\0\112\130\36\0",
	62764, "\129\89\103\129\109\130\37\0\129\89\103\129\109\130\37\0\113\130\36\0",
	64374, "\129\90\129\6\130\37\0\129\90\129\6\130\37\0\129\0\130\36\0",
	65983, "\129\90\129\5\129\93\130\35\0\129\90\129\5\129\93\130\38\0\129\7\130\36\0",
	67592, "\129\90\129\5\129\95\130\37\0\129\90\129\5\129\95\130\37\0\129\8\130\36\0",
	69202, "\129\90\129\5\129\97\130\37\0\129\90\129\5\129\97\130\37\0\129\9\130\36\0",
	70811, "\129\90\129\5\129\99\130\37\0\129\90\129\5\129\99\130\37\0\129\10\130\36\0",
	72420, "\129\90\129\5\129\101\130\37\0\129\90\129\5\129\101\130\37\0\129\11\130\36\0",
	74030, "\129\90\129\5\129\103\130\37\0\129\90\129\5\129\103\130\37\0\129\12\130\36\0",
	75639, "\129\90\129\5\129\105\130\37\0\129\90\129\5\129\105\130\37\0\129\13\130\36\0",
	77249, "\129\90\129\5\129\107\130\37\0\129\90\129\5\129\107\130\37\0\129\14\130\36\0",
	78858, "\129\90\129\5\129\109\130\37\0\129\90\129\5\129\109\130\37\0\129\15\130\36\0",
	80467, "\129\91\129\26\130\37\0\129\91\129\26\130\37\0\129\19\130\36\0",
	82077, "\129\91\129\25\129\93\130\35\0\129\91\129\25\129\93\130\38\0\129\24\129\92\130\36\0",
	83686, "\129\91\129\25\129\95\130\37\0\129\91\129\25\129\95\130\37\0\129\24\129\94\130\36\0",
	85295, "\129\91\129\25\129\97\130\37\0\129\91\129\25\129\97\130\37\0\129\24\129\96\130\36\0",
	86905, "\129\91\129\25\129\99\130\37\0\129\91\129\25\129\99\130\37\0\129\24\129\98\130\36\0",
	88514, "\129\91\129\25\129\101\130\37\0\129\91\129\25\129\101\130\37\0\129\24\129\100\130\36\0",
	90123, "\129\91\129\25\129\103\130\37\0\129\91\129\25\129\103\130\37\0\129\24\129\102\130\36\0",
	91733, "\129\91\129\25\129\105\130\37\0\129\91\129\25\129\105\130\37\0\129\24\129\104\130\36\0",
	93342, "\129\91\129\25\129\107\130\37\0\129\91\129\25\129\107\130\37\0\129\24\129\106\130\36\0",
	94951, "\129\91\129\25\129\109\130\37\0\129\91\129\25\129\109\130\37\0\129\24\129\108\130\36\0",
	96561, "\129\90\129\38\130\37\0\129\90\129\38\130\37\0\129\31\130\36\0",
	98170, "\129\90\129\37\129\93\130\35\0\129\90\129\37\129\93\130\38\0\129\36\129\92\130\36\0",
	99779, "\129\90\129\37\129\95\130\37\0\129\90\129\37\129\95\130\37\0\129\36\129\94\130\36\0",
	101389, "\129\90\129\37\129\97\130\37\0\129\90\129\37\129\97\130\37\0\129\36\129\96\130\36\0",
	102998, "\129\90\129\37\129\99\130\37\0\129\90\129\37\129\99\130\37\0\129\36\129\98\130\36\0",
	104607, "\129\90\129\37\129\101\130\37\0\129\90\129\37\129\101\130\37\0\129\36\129\100\130\36\0",
	106217, "\129\90\129\37\129\103\130\37\0\129\90\129\37\129\103\130\37\0\129\36\129\102\130\36\0",
	107826, "\129\90\129\37\129\105\130\37\0\129\90\129\37\129\105\130\37\0\129\36\129\104\130\36\0",
	109435, "\129\90\129\37\129\107\130\37\0\129\90\129\37\129\107\130\37\0\129\36\129\106\130\36\0",
	111045, "\129\90\129\37\129\109\130\37\0\129\90\129\37\129\109\130\37\0\129\36\129\108\130\36\0",
	112654, "\129\87\129\50\130\37\0\129\87\129\50\130\37\0\129\43\130\36\0",
	114263, "\129\87\129\49\129\93\130\35\0\129\87\129\49\129\93\130\38\0\129\48\129\92\130\36\0",
	115873, "\129\87\129\49\129\95\130\37\0\129\87\129\49\129\95\130\37\0\129\48\129\94\130\36\0",
	117482, "\129\87\129\49\129\97\130\37\0\129\87\129\49\129\97\130\37\0\129\48\129\96\130\36\0",
	119091, "\129\87\129\49\129\99\130\37\0\129\87\129\49\129\99\130\37\0\129\48\129\98\130\36\0",
	120701, "\129\87\129\49\129\101\130\37\0\129\87\129\49\129\101\130\37\0\129\48\129\100\130\36\0",
	122310, "\129\87\129\49\129\103\130\37\0\129\87\129\49\129\103\130\37\0\129\48\129\102\130\36\0",
	123919, "\129\87\129\49\129\105\130\37\0\129\87\129\49\129\105\130\37\0\129\48\129\104\130\36\0",
	125529, "\129\87\129\49\129\107\130\37\0\129\87\129\49\129\107\130\37\0\129\48\129\106\130\36\0",
	127138, "\129\87\129\49\129\109\130\37\0\129\87\129\49\129\109\130\37\0\129\48\129\108\130\36\0",
	128748, "\129\91\129\62\130\37\0\129\91\129\62\130\37\0\129\55\130\36\0",
	130357, "\129\91\129\61\129\93\130\35\0\129\91\129\61\129\93\130\38\0\129\60\129\92\130\36\0",
	131966, "\129\91\129\61\129\95\130\37\0\129\91\129\61\129\95\130\37\0\129\60\129\94\130\36\0",
	133576, "\129\91\129\61\129\97\130\37\0\129\91\129\61\129\97\130\37\0\129\60\129\96\130\36\0",
	135185, "\129\91\129\61\129\99\130\37\0\129\91\129\61\129\99\130\37\0\129\60\129\98\130\36\0",
	136794, "\129\91\129\61\129\101\130\37\0\129\91\129\61\129\101\130\37\0\129\60\129\100\130\36\0",
	138404, "\129\91\129\61\129\103\130\37\0\129\91\129\61\129\103\130\37\0\129\60\129\102\130\36\0",
	140013, "\129\91\129\61\129\105\130\37\0\129\91\129\61\129\105\130\37\0\129\60\129\104\130\36\0",
	141622, "\129\91\129\61\129\107\130\37\0\129\91\129\61\129\107\130\37\0\129\60\129\106\130\36\0",
	143232, "\129\91\129\61\129\109\130\37\0\129\91\129\61\129\109\130\37\0\129\60\129\108\130\36\0",
	144841, "\129\88\129\74\130\37\0\129\88\129\74\130\37\0\129\67\130\36\0",
	146450, "\129\88\129\73\129\93\130\35\0\129\88\129\73\129\93\130\38\0\129\72\129\92\130\36\0",
	148060, "\129\88\129\73\129\95\130\37\0\129\88\129\73\129\95\130\37\0\129\72\129\94\130\36\0",
	149669, "\129\88\129\73\129\97\130\37\0\129\88\129\73\129\97\130\37\0\129\72\129\96\130\36\0",
	151278, "\129\88\129\73\129\99\130\37\0\129\88\129\73\129\99\130\37\0\129\72\129\98\130\36\0",
	152888, "\129\88\129\73\129\101\130\37\0\129\88\129\73\129\101\130\37\0\129\72\129\100\130\36\0",
	154497, "\129\88\129\73\129\103\130\37\0\129\88\129\73\129\103\130\37\0\129\72\129\102\130\36\0",
	156106, "\129\88\129\73\129\105\130\37\0\129\88\129\73\129\105\130\37\0\129\72\129\104\130\36\0",
	157716, "\129\88\129\73\129\107\130\37\0\129\88\129\73\129\107\130\37\0\129\72\129\106\130\36\0",
	159325, "\129\88\129\73\129\109\130\37\0\129\88\129\73\129\109\130\37\0\129\72\129\108\130\36\0",
	160934, "\129\87\35\130\37\0\129\87\35\130\37\0\30\130\36\0",
	177028, "\129\87\33\129\113\130\37\0\129\87\33\129\113\130\37\0\33\129\112\130\36\0",
	193121, "\129\87\33\129\117\130\37\0\129\87\33\129\117\130\37\0\33\129\116\130\36\0",
	209215, "\129\87\33\129\121\130\37\0\129\87\33\129\121\130\37\0\33\129\120\130\36\0",
	225308, "\129\87\33\129\125\130\37\0\129\87\33\129\125\130\37\0\33\129\124\130\36\0",
	241402, "\129\87\33\130\1\130\37\0\129\87\33\130\1\130\37\0\33\130\0\130\36\0",
	257495, "\129\87\33\130\5\130\37\0\129\87\33\130\5\130\37\0\33\130\4\130\36\0",
	273588, "\129\87\33\130\9\130\37\0\129\87\33\130\9\130\37\0\33\130\8\130\36\0",
	289682, "\129\87\33\130\13\130\37\0\129\87\33\130\13\130\37\0\33\130\12\130\36\0",
	305775, "\129\87\33\130\17\130\37\0\129\87\33\130\17\130\37\0\33\130\16\130\36\0",
	321869, "\129\88\73\130\37\0\129\88\73\130\37\0\70\130\36\0",
	337962, "\129\88\72\129\113\130\37\0\129\88\72\129\113\130\37\0\71\129\112\130\36\0",
	354056, "\129\88\72\129\117\130\37\0\129\88\72\129\117\130\37\0\71\129\116\130\36\0",
	370149, "\129\88\72\129\121\130\37\0\129\88\72\129\121\130\37\0\71\129\120\130\36\0",
	386243, "\129\88\72\129\125\130\37\0\129\88\72\129\125\130\37\0\71\129\124\130\36\0",
	402336, "\129\88\72\130\1\130\37\0\129\88\72\130\1\130\37\0\71\130\0\130\36\0",
	418429, "\129\88\72\130\5\130\37\0\129\88\72\130\5\130\37\0\71\130\4\130\36\0",
	434523, "\129\88\72\130\9\130\37\0\129\88\72\130\9\130\37\0\71\130\8\130\36\0",
	450616, "\129\88\72\130\13\130\37\0\129\88\72\130\13\130\37\0\71\130\12\130\36\0",
	466710, "\129\88\72\130\17\130\37\0\129\88\72\130\17\130\37\0\71\130\16\130\36\0",
	482803, "\129\89\101\130\37\0\129\89\101\130\37\0\98\130\36\0",
	498897, "\129\89\100\129\113\130\37\0\129\89\100\129\113\130\37\0\99\129\112\130\36\0",
	514990, "\129\89\100\129\117\130\37\0\129\89\100\129\117\130\37\0\99\129\116\130\36\0",
	531084, "\129\89\100\129\121\130\37\0\129\89\100\129\121\130\37\0\99\129\120\130\36\0",
	547177, "\129\89\100\129\125\130\37\0\129\89\100\129\125\130\37\0\99\129\124\130\36\0",
	563270, "\129\89\100\130\1\130\37\0\129\89\100\130\1\130\37\0\99\130\0\130\36\0",
	579364, "\129\89\100\130\5\130\37\0\129\89\100\130\5\130\37\0\99\130\4\130\36\0",
	595457, "\129\89\100\130\9\130\37\0\129\89\100\130\9\130\37\0\99\130\8\130\36\0",
	611551, "\129\89\100\130\13\130\37\0\129\89\100\130\13\130\37\0\99\130\12\130\36\0",
	627644, "\129\89\100\130\17\130\37\0\129\89\100\130\17\130\37\0\99\130\16\130\36\0",
	643738, "\129\90\129\4\130\37\0\129\90\129\4\130\37\0\129\1\130\36\0",
	659831, "\129\90\129\3\129\113\130\37\0\129\90\129\3\129\113\130\37\0\129\2\129\112\130\36\0",
	675924, "\129\90\129\3\129\117\130\37\0\129\90\129\3\129\117\130\37\0\129\2\129\116\130\36\0",
	692018, "\129\90\129\3\129\121\130\37\0\129\90\129\3\129\121\130\37\0\129\2\129\120\130\36\0",
	708111, "\129\90\129\3\129\125\130\37\0\129\90\129\3\129\125\130\37\0\129\2\129\124\130\36\0",
	724205, "\129\90\129\3\130\1\130\37\0\129\90\129\3\130\1\130\37\0\129\2\130\0\130\36\0",
	740298, "\129\90\129\3\130\5\130\37\0\129\90\129\3\130\5\130\37\0\129\2\130\4\130\36\0",
	756392, "\129\90\129\3\130\9\130\37\0\129\90\129\3\130\9\130\37\0\129\2\130\8\130\36\0",
	772485, "\129\90\129\3\130\13\130\37\0\129\90\129\3\130\13\130\37\0\129\2\130\12\130\36\0",
	788579, "\129\90\129\3\130\17\130\37\0\129\90\129\3\130\17\130\37\0\129\2\130\16\130\36\0",
	804672, "\129\91\129\23\130\37\0\129\91\129\23\130\37\0\129\20\130\36\0",
	820765, "\129\86\130\39\129\20\130\37\0\129\86\130\39\129\20\130\37\0\130\39\129\20\130\36\0",
}

ordinals = {
	{L"1st", L"1stb", L"1stc"},
	{L"2nd", L"2ndb", L"2ndc"},
	{L"3rd", L"3rdb", L"3rdc"},
	{L"4th", L"4thb", L"4thc"},
	{L"5th", L"5thb", L"5thc"},
	{L"6th", L"6thb", L"6thc"},
	{L"7th", L"7thb", L"7thc"},
	{L"8th", L"8thb", L"8thc"},
	{L"9th", L"9thb", L"9thc"},
	{nil, nil, L"10thc"},
	{nil, nil, L"11thc"},
	{nil, nil, L"12thc"},
	{nil, nil, L"13thc"},
	{nil, nil, L"14thc"},
	{nil, nil, L"15thc"},
	{nil, nil, L"16thc"},
	{nil, nil, L"17thc"},
	{nil, nil, L"18thc"},
	{nil, nil, L"19thc"},
	{nil, nil, L"20thc"},
}

